/*******************************************************************/
/* Use the appropriate database to load the IBG data model content */
/* When this SQL file is run as a standalone statement             */
USE [IBG_Demo_DB]
GO
/*                                                                 */
/*******************************************************************/

/*******************************************************************************************************/
/*                    BULK INSERT Notes                                                                */
/* The CSV file must have been saved in MS Excel as type "CSV UTF-8 (Comma delimited(*.csv)"           */
/*                                                                                                     */
/* We are deleting records from [DG-IBG DM Comments RDBMS] which is a                                  */
/* referential integrity parent to [DG-IBG DM Attributes] and [[DG-IBG DM Entities].                   */
/* We need to delete records in the two children tables before deleting records from the parent table. */
/*******************************************************************************************************/

DELETE FROM   
   [IBG_Schema].[DG-IBG DM Attributes]
GO

DELETE FROM   
   [IBG_Schema].[DG-IBG DM Entities]
GO

DELETE FROM   
   [IBG_Schema].[DG-IBG DM Comments RDBMS]
GO

BULK INSERT 
   [IBG_Schema].[DG-IBG DM Comments RDBMS]
FROM 'C:\DG-IBG\DDL and Data Files - IBG_Demo_DB\BAU\DG-IBG DM Comments RDBMS - 04 Data For Bulk Insert.csv'
WITH (
        FORMAT ='CSV'
      , FIRSTROW = 2
      , CODEPAGE = '65001'
      , DATAFILETYPE ='char'
      , FIELDTERMINATOR = ','
      , ROWTERMINATOR = '\n'
      , CHECK_CONSTRAINTS);
GO

SELECT *
FROM 
   [IBG_Schema].[DG-IBG DM Comments RDBMS]
GO
