/*******************************************************************/
/* Use the appropriate database to load the IBG data model content */
/* When this SQL file is run as a standalone statement             */
--USE [IBG_Demo_DB]
--GO
--USE [IBG_DB]
--GO
/*                                                                 */
/*******************************************************************/

/*******************************************************************/
/* Use the SQLCMDDBNAME variable as set by the calling SQLCMD      */
/* To set the database                                             */
USE $(SQLCMDDBNAME)
GO
/*                                                                 */
/*******************************************************************/

SELECT COUNT(*) AS [Row Count - IBG Application Software]
FROM [IBG_Schema].[IBG Application Software]
GO

SELECT COUNT(*) AS [Row Count - Code BI Object Type]
FROM [IBG_Schema].[Code BI Object Type]
GO

SELECT COUNT(*) AS [Row Count - Code Business Metadata Status]
FROM [IBG_Schema].[Code Business Metadata Status]
GO

SELECT COUNT(*) AS [Row Count - DG Business Unit]
FROM [IBG_Schema].[DG Business Unit]
GO

SELECT COUNT(*) AS [Row Count - Code Business Unit Type]
FROM [IBG_Schema].[Code Business Unit Type]
GO

SELECT COUNT(*) AS [Row Count - Code Committee]
FROM [IBG_Schema].[Code Committee]
GO

SELECT COUNT(*) AS [Row Count - Code Committee Membership Role]
FROM [IBG_Schema].[Code Committee Membership Role]
GO

SELECT COUNT(*) AS [Row Count - Code Data Governance Role]
FROM [IBG_Schema].[Code Data Governance Role]
GO

SELECT COUNT(*) AS [Row Count - Code Data Issue Category]
FROM [IBG_Schema].[Code Data Issue Category]
GO

SELECT COUNT(*) AS [Row Count - Code Data Issue Impact]
FROM [IBG_Schema].[Code Data Issue Impact]
GO

SELECT COUNT(*) AS [Row Count - Code Data Issue Severity]
FROM [IBG_Schema].[Code Data Issue Severity]
GO

SELECT COUNT(*) AS [Row Count - Code Data Issue Status]
FROM [IBG_Schema].[Code Data Issue Status]
GO

SELECT COUNT(*) AS [Row Count - Code DQ Color]
FROM [IBG_Schema].[Code DQ Color]
GO

SELECT COUNT(*) AS [Row Count - Code DQ Dimension]
FROM [IBG_Schema].[Code DQ Dimension]
GO

SELECT COUNT(*) AS [Row Count - Code Operational Reference Master]
FROM [IBG_Schema].[Code Operational Reference Master]
GO

SELECT COUNT(*) AS [Row Count - Code Part Of Organization]
FROM [IBG_Schema].[Code Part Of Organization]
GO

SELECT COUNT(*) AS [Row Count - Code Priority]
FROM [IBG_Schema].[Code Priority]
GO

SELECT COUNT(*) AS [Row Count - Code Protected Level]
FROM [IBG_Schema].[Code Protected Level]
GO

SELECT COUNT(*) AS [Row Count - Code RACI]
FROM [IBG_Schema].[Code RACI]
GO

SELECT COUNT(*) AS [Row Count - Code Sensitivity Level]
FROM [IBG_Schema].[Code Sensitivity Level]
GO

SELECT COUNT(*) AS [Row Count - Code System Of Record Or Reference]
FROM [IBG_Schema].[Code System Of Record Or Reference]
GO

SELECT COUNT(*) AS [Row Count - Code Yes No]
FROM [IBG_Schema].[Code Yes No]
GO

SELECT COUNT(*) AS [Row Count - DG Committee Meeting Attendance]
FROM [IBG_Schema].[DG Committee Meeting Attendance]
GO

SELECT COUNT(*) AS [Row Count - DG Committee Meeting History]
FROM [IBG_Schema].[DG Committee Meeting History]
GO

SELECT COUNT(*) AS [Row Count - DG Committee Membership]
FROM [IBG_Schema].[DG Committee Membership]
GO

SELECT COUNT(*) AS [Row Count - DG Data Issue And Business Unit]
FROM [IBG_Schema].[DG Data Issue And Business Unit]
GO

SELECT COUNT(*) AS [Row Count - DG Data Issue And Person]
FROM [IBG_Schema].[DG Data Issue And Person]
GO

SELECT COUNT(*) AS [Row Count - DG Data Issue Register]
FROM [IBG_Schema].[DG Data Issue Register]
GO

SELECT COUNT(*) AS [Row Count - DG Data Issue Status History]
FROM [IBG_Schema].[DG Data Issue Status History]
GO

SELECT COUNT(*) AS [Row Count - DG Person]
FROM [IBG_Schema].[DG Person]
GO

SELECT COUNT(*) AS [Row Count - DG RACI Application Software And Business Unit]
FROM [IBG_Schema].[DG RACI Application Software And Business Unit]
GO

SELECT COUNT(*) AS [Row Count - DG RACI Application Software And Person]
FROM [IBG_Schema].[DG RACI Application Software And Person]
GO

SELECT COUNT(*) AS [Row Count - DG RACI BI Object and Business Unit]
FROM [IBG_Schema].[DG RACI BI Object and Business Unit]
GO

SELECT COUNT(*) AS [Row Count - DG RACI BI Object and Person]
FROM [IBG_Schema].[DG RACI BI Object and Person]
GO

SELECT COUNT(*) AS [Row Count - DG RACI Business Attribute And Business Unit]
FROM [IBG_Schema].[DG RACI Business Attribute And Business Unit]
GO

SELECT COUNT(*) AS [Row Count - DG RACI Business Attribute And Person]
FROM [IBG_Schema].[DG RACI Business Attribute And Person]
GO

SELECT COUNT(*) AS [Row Count - DG RACI Business Entity and Business Unit]
FROM [IBG_Schema].[DG RACI Business Entity and Business Unit]
GO

SELECT COUNT(*) AS [Row Count - DG RACI Business Entity and Person]
FROM [IBG_Schema].[DG RACI Business Entity and Person]
GO

SELECT COUNT(*) AS [Row Count - DG RACI Subject Area And Business Unit]
FROM [IBG_Schema].[DG RACI Subject Area And Business Unit]
GO

SELECT COUNT(*) AS [Row Count - DG RACI Subject Area And Person]
FROM [IBG_Schema].[DG RACI Subject Area And Person]
GO

SELECT COUNT(*) AS [Row Count - IBG XREF BA Column And Application]
FROM [IBG_Schema].[IBG XREF BA Column And Application]
GO

SELECT COUNT(*) AS [Row Count - IBG XREF BA Column And BI Object]
FROM [IBG_Schema].[IBG XREF BA Column And BI Object]
GO

SELECT COUNT(*) AS [Row Count - IBG XREF BA Data Issue And Application]
FROM [IBG_Schema].[IBG XREF BA Data Issue And Application]
GO

SELECT COUNT(*) AS [Row Count - IBG XREF BA Data Issue And BI Object]
FROM [IBG_Schema].[IBG XREF BA Data Issue And BI Object]
GO

SELECT COUNT(*) AS [Row Count - DG XREF Data Issue In Other Tracker]
FROM [IBG_Schema].[DG XREF Data Issue In Other Tracker]
GO

SELECT COUNT(*) AS [Row Count - IBG Application Software Field]
FROM [IBG_Schema].[IBG Application Software Field]
GO

SELECT COUNT(*) AS [Row Count - IBG Business Attribute Core]
FROM [IBG_Schema].[IBG Business Attribute Core]
GO

SELECT COUNT(*) AS [Row Count - IBG Business Attribute Document]
FROM [IBG_Schema].[IBG Business Attribute Document]
GO

SELECT COUNT(*) AS [Row Count - IBG Business Attribute DQ Colors]
FROM [IBG_Schema].[IBG Business Attribute DQ Colors]
GO

SELECT COUNT(*) AS [Row Count - IBG Business Attribute DQ Rules]
FROM [IBG_Schema].[IBG Business Attribute DQ Rules]
GO

SELECT COUNT(*) AS [Row Count - IBG Business Entity]
FROM [IBG_Schema].[IBG Business Entity]
GO

SELECT COUNT(*) AS [Row Count - IBG Business Intelligence Object]
FROM [IBG_Schema].[IBG Business Intelligence Object]
GO

SELECT COUNT(*) AS [Row Count - IBG Column]
FROM [IBG_Schema].[IBG Column]
GO

SELECT COUNT(*) AS [Row Count - IBG Database]
FROM [IBG_Schema].[IBG Database]
GO

SELECT COUNT(*) AS [Row Count - IBG Database Management System]
FROM [IBG_Schema].[IBG Database Management System]
GO

SELECT COUNT(*) AS [Row Count - IBG ETL Program]
FROM [IBG_Schema].[IBG ETL Program]
GO

SELECT COUNT(*) AS [Row Count - IBG Lineage Application Column To BI Object]
FROM [IBG_Schema].[IBG Lineage Application Column To BI Object]
GO

SELECT COUNT(*) AS [Row Count - IBG Lineage Application Column To Application]
FROM [IBG_Schema].[IBG Lineage Application Column To Application]
GO

SELECT COUNT(*) AS [Row Count - IBG Schema]
FROM [IBG_Schema].[IBG Schema]
GO

SELECT COUNT(*) AS [Row Count - IBG Subject Area]
FROM [IBG_Schema].[IBG Subject Area]
GO

SELECT COUNT(*) AS [Row Count - IBG Table or View]
FROM [IBG_Schema].[IBG Table or View]
GO

SELECT COUNT(*) AS [Row Count - IBG XREF BA And Column]
FROM [IBG_Schema].[IBG XREF BA And Column]
GO

SELECT COUNT(*) AS [Row Count - IBG XREF BE And Table Or View]
FROM [IBG_Schema].[IBG XREF BE And Table Or View]
GO

SELECT COUNT(*) AS [Row Count - DG-IBG DM Attributes]
FROM [IBG_Schema].[DG-IBG DM Attributes]
GO

SELECT COUNT(*) AS [Row Count - DG-IBG DM Entities]
FROM [IBG_Schema].[DG-IBG DM Attributes]
GO

SELECT COUNT(*) AS [Row Count - DG-IBG DM Comments RDBMS]
FROM [IBG_Schema].[DG-IBG DM Comments RDBMS]
GO

--**************************************
SELECT COUNT(*) AS "Should Be 66 Tables in IBG_Demo_DB"
FROM   
  INFORMATION_SCHEMA.TABLES
WHERE
  TABLE_CATALOG = 'IBG_Demo_DB'
AND
  TABLE_SCHEMA = 'IBG_Schema'
AND
  TABLE_TYPE = 'BASE TABLE'
GO

SELECT COUNT(*) AS "Should Be 82 = 66 Table Views + 16 Pre-Built Views in IBG_Demo_DB"
FROM   
  INFORMATION_SCHEMA.VIEWS
WHERE
  TABLE_CATALOG = 'IBG_Demo_DB'
AND
  TABLE_SCHEMA = 'IBG_Schema'
GO

SELECT COUNT(*) AS "Should Be 66 Tables in IBG_DB"
FROM   
  INFORMATION_SCHEMA.TABLES
WHERE
  TABLE_CATALOG = 'IBG_DB'
AND
  TABLE_SCHEMA = 'IBG_Schema'
AND
  TABLE_TYPE = 'BASE TABLE'
GO

SELECT COUNT(*) AS "Should Be 82 = 66 Table Views + 16 Pre-Built Views in IBG_DB"
FROM   
  INFORMATION_SCHEMA.VIEWS
WHERE
  TABLE_CATALOG = 'IBG_DB'
AND
  TABLE_SCHEMA = 'IBG_Schema'
GO