/*******************************************************************/
/* Use the appropriate database to load the IBG data model content */
/* When this SQL file is run as a standalone statement             */
--USE [IBG_Demo_DB]
--GO
--USE [IBG_DB]
--GO
/*                                                                 */
/*******************************************************************/

/*******************************************************************/
/* Use the SQLCMDDBNAME variable as set by the calling SQLCMD      */
/* To set the database                                             */
USE $(SQLCMDDBNAME)
GO
/*                                                                 */
/*******************************************************************/

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [IBG_Schema].[Code BI Object Type](
	[BI Object Type EN] [char](64) NOT NULL,
	[BI Object Type 2NDL] [char](64) NOT NULL,
	[BI Object Type Description EN] [varchar](8000) NOT NULL,
	[BI Object Type Description 2NDL] [varchar](8000) NOT NULL,
	[IBG Create Date Time] [datetime] NOT NULL,
 CONSTRAINT [Code BI Object Type_PK] PRIMARY KEY CLUSTERED 
(
	[BI Object Type EN] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO

ALTER TABLE [IBG_Schema].[Code BI Object Type] ADD  DEFAULT ('ZZ To Be Determined') FOR [BI Object Type EN]
GO

ALTER TABLE [IBG_Schema].[Code BI Object Type] ADD  DEFAULT ('ZZ To Be Determined') FOR [BI Object Type 2NDL]
GO

ALTER TABLE [IBG_Schema].[Code BI Object Type] ADD  DEFAULT ('ZZ To Be Determined') FOR [BI Object Type Description EN]
GO

ALTER TABLE [IBG_Schema].[Code BI Object Type] ADD  DEFAULT ('ZZ To Be Determined') FOR [BI Object Type Description 2NDL]
GO

ALTER TABLE [IBG_Schema].[Code BI Object Type] ADD  DEFAULT (getdate()) FOR [IBG Create Date Time]
GO

--*************************************************************

DROP VIEW 
 [IBG_Schema].[View Code BI Object Type]
GO

CREATE view 
 [IBG_Schema].[View Code BI Object Type]
(
[BI Object Type EN]
      ,[BI Object Type 2NDL]
      ,[BI Object Type Description EN]
      ,[BI Object Type Description FR]
      ,[IBG Create Date Time]
)

AS

SELECT [BI Object Type EN]
      ,[BI Object Type 2NDL]
      ,[BI Object Type Description EN]
      ,[BI Object Type Description 2NDL]
      ,[IBG Create Date Time]
  FROM [IBG_Schema].[Code BI Object Type]

GO

