/*******************************************************************/
/* Use the appropriate database to load the IBG data model content */
/* When this SQL file is run as a standalone statement             */
--USE [IBG_Demo_DB]
--GO
--USE [IBG_DB]
--GO
/*                                                                 */
/*******************************************************************/

/*******************************************************************/
/* Use the SQLCMDDBNAME variable as set by the calling SQLCMD      */
/* To set the database                                             */
USE $(SQLCMDDBNAME)
GO
/*                                                                 */
/*******************************************************************/


SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [IBG_Schema].[Code Business Unit Type](
	[Business Unit Type EN] [char](64) NOT NULL,
	[Business Unit Type 2NDL] [char](64) NOT NULL,
	[Business Unit Type Description EN] [varchar](8000) NOT NULL,
	[Business Unit Type Description 2NDL] [varchar](8000) NOT NULL,
	[IBG Create Date Time] [datetime] NOT NULL,
 CONSTRAINT [Code Business Unit Type_PK] PRIMARY KEY CLUSTERED 
(
	[Business Unit Type EN] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO

ALTER TABLE [IBG_Schema].[Code Business Unit Type] ADD  DEFAULT ('ZZ To Be Determined') FOR [Business Unit Type EN]
GO

ALTER TABLE [IBG_Schema].[Code Business Unit Type] ADD  DEFAULT ('ZZ To Be Determined') FOR [Business Unit Type 2NDL]
GO

ALTER TABLE [IBG_Schema].[Code Business Unit Type] ADD  DEFAULT ('ZZ To Be Determined') FOR [Business Unit Type Description EN]
GO

ALTER TABLE [IBG_Schema].[Code Business Unit Type] ADD  DEFAULT ('ZZ To Be Determined') FOR [Business Unit Type Description 2NDL]
GO

ALTER TABLE [IBG_Schema].[Code Business Unit Type] ADD  DEFAULT (getdate()) FOR [IBG Create Date Time]
GO

--*************************************************************

DROP VIEW 
 [IBG_Schema].[View Code Business Unit Type]
GO

CREATE view 
 [IBG_Schema].[View Code Business Unit Type]
(
[Business Unit Type EN]
      ,[Business Unit Type FR]
      ,[Business Unit Type Description EN]
      ,[Business Unit Type Description FR]
      ,[IBG Create Date Time]
)

AS

SELECT [Business Unit Type EN]
      ,[Business Unit Type 2NDL]
      ,[Business Unit Type Description EN]
      ,[Business Unit Type Description 2NDL]
      ,[IBG Create Date Time]
  FROM [IBG_Schema].[Code Business Unit Type]

GO


