/*******************************************************************/
/* Use the appropriate database to load the IBG data model content */
/* When this SQL file is run as a standalone statement             */
--USE [IBG_Demo_DB]
--GO
--USE [IBG_DB]
--GO
/*                                                                 */
/*******************************************************************/

/*******************************************************************/
/* Use the SQLCMDDBNAME variable as set by the calling SQLCMD      */
/* To set the database                                             */
USE $(SQLCMDDBNAME)
GO
/*                                                                 */
/*******************************************************************/


SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [IBG_Schema].[Code Committee](
	[Committee Acronym EN] [char](64) NOT NULL,
	[Committee Acronym 2NDL] [char](64) NOT NULL,
	[Committee Full Name EN] [char](256) NOT NULL,
	[Committee Full Name 2NDL] [char](256) NOT NULL,
	[Parent Committee Acronym EN] [char](64) NOT NULL,
	[Committee Terms Of Reference Hyperlink EN] [varchar](8000) NOT NULL,
	[Committee Terms Of Reference Hyperlink 2NDL] [varchar](8000) NOT NULL,
	[Committee Meeting Minutes Folder Hyperlink EN] [varchar](8000) NOT NULL,
	[Committee Meeting Minutes Folder Hyperlink 2NDL] [varchar](8000) NOT NULL,
	[Committee Notes EN] [varchar](8000) NOT NULL,
	[Committee Notes 2NDL] [varchar](8000) NOT NULL,
	[IBG Create Date Time] [datetime] NOT NULL,
 CONSTRAINT [Code Committee_PK] PRIMARY KEY CLUSTERED 
(
	[Committee Acronym EN] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO

ALTER TABLE [IBG_Schema].[Code Committee] ADD  DEFAULT ('ZZ To Be Determined') FOR [Committee Acronym EN]
GO

ALTER TABLE [IBG_Schema].[Code Committee] ADD  DEFAULT ('ZZ To Be Determined') FOR [Committee Acronym 2NDL]
GO

ALTER TABLE [IBG_Schema].[Code Committee] ADD  DEFAULT ('ZZ To Be Determined') FOR [Committee Full Name EN]
GO

ALTER TABLE [IBG_Schema].[Code Committee] ADD  DEFAULT ('ZZ To Be Determined') FOR [Committee Full Name 2NDL]
GO

ALTER TABLE [IBG_Schema].[Code Committee] ADD  DEFAULT ('ZZ To Be Determined') FOR [Parent Committee Acronym EN]
GO

ALTER TABLE [IBG_Schema].[Code Committee] ADD  DEFAULT ('ZZ To Be Determined') FOR [Committee Terms Of Reference Hyperlink EN]
GO

ALTER TABLE [IBG_Schema].[Code Committee] ADD  DEFAULT ('ZZ To Be Determined') FOR [Committee Terms Of Reference Hyperlink 2NDL]
GO

ALTER TABLE [IBG_Schema].[Code Committee] ADD  DEFAULT ('ZZ To Be Determined') FOR [Committee Meeting Minutes Folder Hyperlink EN]
GO

ALTER TABLE [IBG_Schema].[Code Committee] ADD  DEFAULT ('ZZ To Be Determined') FOR [Committee Meeting Minutes Folder Hyperlink 2NDL]
GO

ALTER TABLE [IBG_Schema].[Code Committee] ADD  DEFAULT ('ZZ To Be Determined') FOR [Committee Notes EN]
GO

ALTER TABLE [IBG_Schema].[Code Committee] ADD  DEFAULT ('ZZ To Be Determined') FOR [Committee Notes 2NDL]
GO

ALTER TABLE [IBG_Schema].[Code Committee] ADD  DEFAULT (getdate()) FOR [IBG Create Date Time]
GO

ALTER TABLE [IBG_Schema].[Code Committee]  WITH CHECK ADD  CONSTRAINT [Code Committee_Code Committee_FK] FOREIGN KEY([Parent Committee Acronym EN])
REFERENCES [IBG_Schema].[Code Committee] ([Committee Acronym EN])
GO

ALTER TABLE [IBG_Schema].[Code Committee] CHECK CONSTRAINT [Code Committee_Code Committee_FK]
GO

--*************************************************************

DROP VIEW 
 [IBG_Schema].[View Code Committee]
GO

CREATE view 
 [IBG_Schema].[View Code Committee]
(
[Committee Acronym EN]
      ,[Committee Acronym FR]
      ,[Committee Full Name EN]
      ,[Committee Full Name FR]
      ,[Parent Committee Acronym EN]
      ,[Committee Terms Of Reference Hyperlink EN]
      ,[Committee Terms Of Reference Hyperlink FR]
      ,[Committee Meeting Minutes Folder Hyperlink EN]
      ,[Committee Meeting Minutes Folder Hyperlink FR]
      ,[Committee Notes EN]
      ,[Committee Notes FR]
      ,[IBG Create Date Time]
)

AS

SELECT [Committee Acronym EN]
      ,[Committee Acronym 2NDL]
      ,[Committee Full Name EN]
      ,[Committee Full Name 2NDL]
      ,[Parent Committee Acronym EN]
      ,[Committee Terms Of Reference Hyperlink EN]
      ,[Committee Terms Of Reference Hyperlink 2NDL]
      ,[Committee Meeting Minutes Folder Hyperlink EN]
      ,[Committee Meeting Minutes Folder Hyperlink 2NDL]
      ,[Committee Notes EN]
      ,[Committee Notes 2NDL]
      ,[IBG Create Date Time]
  FROM [IBG_Schema].[Code Committee]

GO