/*******************************************************************/
/* Use the appropriate database to load the IBG data model content */
/* When this SQL file is run as a standalone statement             */
--USE [IBG_Demo_DB]
--GO
--USE [IBG_DB]
--GO
/*                                                                 */
/*******************************************************************/

/*******************************************************************/
/* Use the SQLCMDDBNAME variable as set by the calling SQLCMD      */
/* To set the database                                             */
USE $(SQLCMDDBNAME)
GO
/*                                                                 */
/*******************************************************************/


SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [IBG_Schema].[Code Data Issue Impact](
	[Data Issue Impact Code EN] [char](64) NOT NULL,
	[Data Issue Impact Code 2NDL] [char](64) NOT NULL,
	[Data Issue Impact Code Description EN] [varchar](8000) NOT NULL,
	[Data Issue Impact Code Description 2NDL] [varchar](8000) NOT NULL,
	[IBG Create Date Time] [datetime] NOT NULL,
 CONSTRAINT [Code Data Issue Impact_PK] PRIMARY KEY CLUSTERED 
(
	[Data Issue Impact Code EN] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO

ALTER TABLE [IBG_Schema].[Code Data Issue Impact] ADD  DEFAULT ('ZZ To Be Determined') FOR [Data Issue Impact Code EN]
GO

ALTER TABLE [IBG_Schema].[Code Data Issue Impact] ADD  DEFAULT ('ZZ To Be Determined') FOR [Data Issue Impact Code 2NDL]
GO

ALTER TABLE [IBG_Schema].[Code Data Issue Impact] ADD  DEFAULT ('ZZ To Be Determined') FOR [Data Issue Impact Code Description EN]
GO

ALTER TABLE [IBG_Schema].[Code Data Issue Impact] ADD  DEFAULT ('ZZ To Be Determined') FOR [Data Issue Impact Code Description 2NDL]
GO

ALTER TABLE [IBG_Schema].[Code Data Issue Impact] ADD  DEFAULT (getdate()) FOR [IBG Create Date Time]
GO

--*************************************************************

DROP VIEW 
 [IBG_Schema].[View Code Data Issue Impact]
GO

CREATE view 
 [IBG_Schema].[View Code Data Issue Impact]
(
[Data Issue Impact Code EN]
      ,[Data Issue Impact Code FR]
      ,[Data Issue Impact Code Description EN]
      ,[Data Issue Impact Code Description FR]
      ,[IBG Create Date Time]
)

AS
SELECT [Data Issue Impact Code EN]
      ,[Data Issue Impact Code 2NDL]
      ,[Data Issue Impact Code Description EN]
      ,[Data Issue Impact Code Description 2NDL]
      ,[IBG Create Date Time]
  FROM [IBG_Schema].[Code Data Issue Impact]

GO
