/*******************************************************************/
/* Use the appropriate database to load the IBG data model content */
/* When this SQL file is run as a standalone statement             */
--USE [IBG_Demo_DB]
--GO
--USE [IBG_DB]
--GO
/*                                                                 */
/*******************************************************************/

/*******************************************************************/
/* Use the SQLCMDDBNAME variable as set by the calling SQLCMD      */
/* To set the database                                             */
USE $(SQLCMDDBNAME)
GO
/*                                                                 */
/*******************************************************************/


SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [IBG_Schema].[Code Operational Reference Master](
	[Operational Reference Master Code EN] [char](64) NOT NULL,
	[Operational Reference Master Code 2NDL] [char](64) NOT NULL,
	[Operational Reference Master Code Description EN] [varchar](8000) NOT NULL,
	[Operational Reference Master Code Description 2NDL] [varchar](8000) NOT NULL,
	[IBG Create Date Time] [datetime] NOT NULL,
 CONSTRAINT [Code Operational Reference Master_PK] PRIMARY KEY CLUSTERED 
(
	[Operational Reference Master Code EN] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO

ALTER TABLE [IBG_Schema].[Code Operational Reference Master] ADD  DEFAULT ('ZZ To Be Determined') FOR [Operational Reference Master Code EN]
GO

ALTER TABLE [IBG_Schema].[Code Operational Reference Master] ADD  DEFAULT ('ZZ To Be Determined') FOR [Operational Reference Master Code 2NDL]
GO

ALTER TABLE [IBG_Schema].[Code Operational Reference Master] ADD  DEFAULT ('ZZ To Be Determined') FOR [Operational Reference Master Code Description EN]
GO

ALTER TABLE [IBG_Schema].[Code Operational Reference Master] ADD  DEFAULT ('ZZ To Be Determined') FOR [Operational Reference Master Code Description 2NDL]
GO

ALTER TABLE [IBG_Schema].[Code Operational Reference Master] ADD  DEFAULT (getdate()) FOR [IBG Create Date Time]
GO

--*************************************************************

DROP VIEW 
 [IBG_Schema].[View Code Operational Reference Master]
GO

CREATE view 
 [IBG_Schema].[View Code Operational Reference Master]
(
[Operational Reference Master Code EN]
      ,[Operational Reference Master Code FR]
      ,[Operational Reference Master Code Description EN]
      ,[Operational Reference Master Code Description FR]
      ,[IBG Create Date Time]
)

AS

SELECT [Operational Reference Master Code EN]
      ,[Operational Reference Master Code 2NDL]
      ,[Operational Reference Master Code Description EN]
      ,[Operational Reference Master Code Description 2NDL]
      ,[IBG Create Date Time]
  FROM [IBG_Schema].[Code Operational Reference Master]

GO

