/*******************************************************************/
/* Use the appropriate database to load the IBG data model content */
/* When this SQL file is run as a standalone statement             */
--USE [IBG_Demo_DB]
--GO
--USE [IBG_DB]
--GO
/*                                                                 */
/*******************************************************************/

/*******************************************************************/
/* Use the SQLCMDDBNAME variable as set by the calling SQLCMD      */
/* To set the database                                             */
USE $(SQLCMDDBNAME)
GO
/*                                                                 */
/*******************************************************************/


SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [IBG_Schema].[Code Priority](
	[Priority Code] [int] NOT NULL,
	[Priority Code Description EN] [varchar](8000) NOT NULL,
	[Priority Code Description 2NDL] [varchar](8000) NOT NULL,
	[IBG Create Date Time] [datetime] NOT NULL,
 CONSTRAINT [Code Priority_PK] PRIMARY KEY CLUSTERED 
(
	[Priority Code] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO

ALTER TABLE [IBG_Schema].[Code Priority] ADD  DEFAULT ((0)) FOR [Priority Code]
GO

ALTER TABLE [IBG_Schema].[Code Priority] ADD  DEFAULT ('ZZ To Be Determined') FOR [Priority Code Description EN]
GO

ALTER TABLE [IBG_Schema].[Code Priority] ADD  DEFAULT ('ZZ To Be Determined') FOR [Priority Code Description 2NDL]
GO

ALTER TABLE [IBG_Schema].[Code Priority] ADD  DEFAULT (getdate()) FOR [IBG Create Date Time]
GO


--*************************************************************

DROP VIEW 
 [IBG_Schema].[View Code Priority]
GO

CREATE view 
 [IBG_Schema].[View Code Priority]
(
       [Priority Code]
      ,[Priority Code Description EN]
      ,[Priority Code Description FR]
      ,[IBG Create Date Time]
)

AS
SELECT 
       [Priority Code]
      ,[Priority Code Description EN]
      ,[Priority Code Description 2NDL]
      ,[IBG Create Date Time]
  FROM [IBG_Schema].[Code Priority]

GO

