/*******************************************************************/
/* Use the appropriate database to load the IBG data model content */
/* When this SQL file is run as a standalone statement             */
--USE [IBG_Demo_DB]
--GO
--USE [IBG_DB]
--GO
/*                                                                 */
/*******************************************************************/

/*******************************************************************/
/* Use the SQLCMDDBNAME variable as set by the calling SQLCMD      */
/* To set the database                                             */
USE $(SQLCMDDBNAME)
GO
/*                                                                 */
/*******************************************************************/


SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [IBG_Schema].[Code Sensitivity Level](
	[Sensitivity Level Code EN] [char](64) NOT NULL,
	[Sensitivity Level Code 2NDL] [char](64) NOT NULL,
	[Sensitivity Level Code Description EN] [varchar](8000) NOT NULL,
	[Sensitivity Level Code Description 2NDL] [varchar](8000) NOT NULL,
	[IBG Create Date Time] [datetime] NOT NULL,
 CONSTRAINT [Code Sensitivity Level_PK] PRIMARY KEY CLUSTERED 
(
	[Sensitivity Level Code EN] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO

ALTER TABLE [IBG_Schema].[Code Sensitivity Level] ADD  DEFAULT ('ZZ To Be Determined') FOR [Sensitivity Level Code EN]
GO

ALTER TABLE [IBG_Schema].[Code Sensitivity Level] ADD  DEFAULT ('ZZ To Be Determined') FOR [Sensitivity Level Code 2NDL]
GO

ALTER TABLE [IBG_Schema].[Code Sensitivity Level] ADD  DEFAULT ('ZZ To Be Determined') FOR [Sensitivity Level Code Description EN]
GO

ALTER TABLE [IBG_Schema].[Code Sensitivity Level] ADD  DEFAULT ('ZZ To Be Determined') FOR [Sensitivity Level Code Description 2NDL]
GO

ALTER TABLE [IBG_Schema].[Code Sensitivity Level] ADD  DEFAULT (getdate()) FOR [IBG Create Date Time]
GO

--*************************************************************

DROP VIEW 
 [IBG_Schema].[View Code Sensitivity Level]
GO

CREATE view 
 [IBG_Schema].[View Code Sensitivity Level]
(
[Sensitivity Level Code EN]
      ,[Sensitivity Level Code FR]
      ,[Sensitivity Level Code Description EN]
      ,[Sensitivity Level Code Description FR]
      ,[IBG Create Date Time]
)

AS
SELECT [Sensitivity Level Code EN]
      ,[Sensitivity Level Code 2NDL]
      ,[Sensitivity Level Code Description EN]
      ,[Sensitivity Level Code Description 2NDL]
      ,[IBG Create Date Time]
  FROM [IBG_Schema].[Code Sensitivity Level]

GO

