/*******************************************************************/
/* Use the appropriate database to load the IBG data model content */
/* When this SQL file is run as a standalone statement             */
--USE [IBG_Demo_DB]
--GO
--USE [IBG_DB]
--GO
/*                                                                 */
/*******************************************************************/

/*******************************************************************/
/* Use the SQLCMDDBNAME variable as set by the calling SQLCMD      */
/* To set the database                                             */
USE $(SQLCMDDBNAME)
GO
/*                                                                 */
/*******************************************************************/


SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [IBG_Schema].[Code System Of Record Or Reference](
	[System Of Record Or Reference Code EN] [char](64) NOT NULL,
	[System Of Record Or Reference Code 2NDL] [char](64) NOT NULL,
	[System Of Record Or Reference Code Description EN] [varchar](8000) NOT NULL,
	[System Of Record Or Reference Code Description 2NDL] [varchar](8000) NOT NULL,
	[IBG Create Date Time] [datetime] NOT NULL,
 CONSTRAINT [Code System Of Record Or Reference_PK] PRIMARY KEY CLUSTERED 
(
	[System Of Record Or Reference Code EN] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO

ALTER TABLE [IBG_Schema].[Code System Of Record Or Reference] ADD  DEFAULT ('ZZ To Be Determined') FOR [System Of Record Or Reference Code EN]
GO

ALTER TABLE [IBG_Schema].[Code System Of Record Or Reference] ADD  DEFAULT ('ZZ To Be Determined') FOR [System Of Record Or Reference Code 2NDL]
GO

ALTER TABLE [IBG_Schema].[Code System Of Record Or Reference] ADD  DEFAULT ('ZZ To Be Determined') FOR [System Of Record Or Reference Code Description EN]
GO

ALTER TABLE [IBG_Schema].[Code System Of Record Or Reference] ADD  DEFAULT ('ZZ To Be Determined') FOR [System Of Record Or Reference Code Description 2NDL]
GO

ALTER TABLE [IBG_Schema].[Code System Of Record Or Reference] ADD  DEFAULT (getdate()) FOR [IBG Create Date Time]
GO

--*************************************************************

DROP VIEW 
 [IBG_Schema].[View Code System Of Record Or Reference]
GO

CREATE view 
 [IBG_Schema].[View Code System Of Record Or Reference]
(
[System Of Record Or Reference Code EN]
      ,[System Of Record Or Reference Code FR]
      ,[System Of Record Or Reference Code Description EN]
      ,[System Of Record Or Reference Code Description FR]
      ,[IBG Create Date Time]
)

AS
SELECT [System Of Record Or Reference Code EN]
      ,[System Of Record Or Reference Code 2NDL]
      ,[System Of Record Or Reference Code Description EN]
      ,[System Of Record Or Reference Code Description 2NDL]
      ,[IBG Create Date Time]
  FROM [IBG_Schema].[Code System Of Record Or Reference]

GO

