/*******************************************************************/
/* Use the appropriate database to load the IBG data model content */
/* When this SQL file is run as a standalone statement             */
--USE [IBG_Demo_DB]
--GO
--USE [IBG_DB]
--GO
/*                                                                 */
/*******************************************************************/

/*******************************************************************/
/* Use the SQLCMDDBNAME variable as set by the calling SQLCMD      */
/* To set the database                                             */
USE $(SQLCMDDBNAME)
GO
/*                                                                 */
/*******************************************************************/


SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [IBG_Schema].[DG Committee Meeting Attendance](
	[Committee Acronym EN] [char](64) NOT NULL,
	[Committee Meeting Date] [date] NOT NULL,
	[Person Name] [char](128) NOT NULL,
	[Notes EN] [varchar](8000) NOT NULL,
	[Notes 2NDL] [varchar](8000) NOT NULL,
	[IBG Create Date Time] [datetime] NOT NULL,
 CONSTRAINT [DG Committee Meeting Attendance_PK] PRIMARY KEY CLUSTERED 
(
	[Committee Acronym EN] ASC,
	[Committee Meeting Date] ASC,
	[Person Name] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO

ALTER TABLE [IBG_Schema].[DG Committee Meeting Attendance] ADD  DEFAULT ('ZZ To Be Determined') FOR [Committee Acronym EN]
GO

ALTER TABLE [IBG_Schema].[DG Committee Meeting Attendance] ADD  DEFAULT ('ZZ To Be Determined') FOR [Person Name]
GO

ALTER TABLE [IBG_Schema].[DG Committee Meeting Attendance] ADD  DEFAULT ('ZZ To Be Determined') FOR [Notes EN]
GO

ALTER TABLE [IBG_Schema].[DG Committee Meeting Attendance] ADD  DEFAULT ('ZZ To Be Determined') FOR [Notes 2NDL]
GO

ALTER TABLE [IBG_Schema].[DG Committee Meeting Attendance] ADD  DEFAULT (getdate()) FOR [IBG Create Date Time]
GO

ALTER TABLE [IBG_Schema].[DG Committee Meeting Attendance]  WITH CHECK ADD  CONSTRAINT [DG Committee Meeting Attendance_DG Committee Meeting History_FK] FOREIGN KEY([Committee Acronym EN], [Committee Meeting Date])
REFERENCES [IBG_Schema].[DG Committee Meeting History] ([Committee Acronym EN], [Committee Meeting Date])
ON UPDATE CASCADE
GO

ALTER TABLE [IBG_Schema].[DG Committee Meeting Attendance] CHECK CONSTRAINT [DG Committee Meeting Attendance_DG Committee Meeting History_FK]
GO

ALTER TABLE [IBG_Schema].[DG Committee Meeting Attendance]  WITH CHECK ADD  CONSTRAINT [DG Committee Meeting Attendance_DG Person_FK] FOREIGN KEY([Person Name])
REFERENCES [IBG_Schema].[DG Person] ([Person Name])
ON UPDATE CASCADE
GO

ALTER TABLE [IBG_Schema].[DG Committee Meeting Attendance] CHECK CONSTRAINT [DG Committee Meeting Attendance_DG Person_FK]
GO

--*************************************************************

DROP VIEW 
 [IBG_Schema].[View DG Committee Meeting Attendance]
GO

CREATE view 
 [IBG_Schema].[View DG Committee Meeting Attendance]
(
[Committee Acronym EN]
      ,[Committee Meeting Date]
      ,[Person Name]
      ,[Notes EN]
      ,[Notes FR]
      ,[IBG Create Date Time]
)

AS

SELECT [Committee Acronym EN]
      ,[Committee Meeting Date]
      ,[Person Name]
      ,[Notes EN]
      ,[Notes 2NDL]
      ,[IBG Create Date Time]
  FROM [IBG_Schema].[DG Committee Meeting Attendance]

GO