/*******************************************************************/
/* Use the appropriate database to load the IBG data model content */
/* When this SQL file is run as a standalone statement             */
--USE [IBG_Demo_DB]
--GO
--USE [IBG_DB]
--GO
/*                                                                 */
/*******************************************************************/

/*******************************************************************/
/* Use the SQLCMDDBNAME variable as set by the calling SQLCMD      */
/* To set the database                                             */
USE $(SQLCMDDBNAME)
GO
/*                                                                 */
/*******************************************************************/


SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [IBG_Schema].[DG Committee Meeting History](
	[Committee Acronym EN] [char](64) NOT NULL,
	[Committee Meeting Date] [date] NOT NULL,
	[Committee Meeting Minutes Hyperlink EN] [varchar](8000) NOT NULL,
	[Committee Meeting Minutes Hyperlink 2NDL] [varchar](8000) NOT NULL,
	[Notes EN] [varchar](8000) NOT NULL,
	[Notes 2NDL] [varchar](8000) NOT NULL,
	[IBG Create Date Time] [datetime] NOT NULL,
 CONSTRAINT [DG Committee Meeting History_PK] PRIMARY KEY CLUSTERED 
(
	[Committee Acronym EN] ASC,
	[Committee Meeting Date] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO

ALTER TABLE [IBG_Schema].[DG Committee Meeting History] ADD  DEFAULT ('ZZ To Be Determined') FOR [Committee Acronym EN]
GO

ALTER TABLE [IBG_Schema].[DG Committee Meeting History] ADD  DEFAULT (getdate()) FOR [Committee Meeting Date]
GO

ALTER TABLE [IBG_Schema].[DG Committee Meeting History] ADD  DEFAULT ('ZZ To Be Determined') FOR [Committee Meeting Minutes Hyperlink EN]
GO

ALTER TABLE [IBG_Schema].[DG Committee Meeting History] ADD  DEFAULT ('ZZ To Be Determined') FOR [Committee Meeting Minutes Hyperlink 2NDL]
GO

ALTER TABLE [IBG_Schema].[DG Committee Meeting History] ADD  DEFAULT ('ZZ To Be Determined') FOR [Notes EN]
GO

ALTER TABLE [IBG_Schema].[DG Committee Meeting History] ADD  DEFAULT ('ZZ To Be Determined') FOR [Notes 2NDL]
GO

ALTER TABLE [IBG_Schema].[DG Committee Meeting History] ADD  DEFAULT (getdate()) FOR [IBG Create Date Time]
GO

ALTER TABLE [IBG_Schema].[DG Committee Meeting History]  WITH CHECK ADD  CONSTRAINT [DG Committee Meeting History_Code Committee_FK] FOREIGN KEY([Committee Acronym EN])
REFERENCES [IBG_Schema].[Code Committee] ([Committee Acronym EN])
ON UPDATE CASCADE
GO

ALTER TABLE [IBG_Schema].[DG Committee Meeting History] CHECK CONSTRAINT [DG Committee Meeting History_Code Committee_FK]
GO

--*************************************************************

DROP VIEW 
 [IBG_Schema].[View DG Committee Meeting History]
GO

CREATE view 
 [IBG_Schema].[View DG Committee Meeting History]
(
[Committee Acronym EN]
      ,[Committee Meeting Date]
      ,[Committee Meeting Minutes Hyperlink EN]
      ,[Committee Meeting Minutes Hyperlink FR]
      ,[Notes EN]
      ,[Notes FR]
      ,[IBG Create Date Time]
)

AS

SELECT [Committee Acronym EN]
      ,[Committee Meeting Date]
      ,[Committee Meeting Minutes Hyperlink EN]
      ,[Committee Meeting Minutes Hyperlink 2NDL]
      ,[Notes EN]
      ,[Notes 2NDL]
      ,[IBG Create Date Time]
  FROM [IBG_Schema].[DG Committee Meeting History]

GO