/*******************************************************************/
/* Use the appropriate database to load the IBG data model content */
/* When this SQL file is run as a standalone statement             */
--USE [IBG_Demo_DB]
--GO
--USE [IBG_DB]
--GO
/*                                                                 */
/*******************************************************************/

/*******************************************************************/
/* Use the SQLCMDDBNAME variable as set by the calling SQLCMD      */
/* To set the database                                             */
USE $(SQLCMDDBNAME)
GO
/*                                                                 */
/*******************************************************************/


SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [IBG_Schema].[DG Data Issue And Person](
	[Data Issue ID] [int] NOT NULL,
	[Person Name] [char](128) NOT NULL,
	[Data Governance Role Code EN] [char](64) NOT NULL,
	[Data Issue And Person Notes EN] [varchar](8000) NOT NULL,
	[Data Issue And Person Notes 2NDL] [varchar](8000) NOT NULL,
	[IBG Create Date Time] [datetime] NOT NULL,
 CONSTRAINT [DG Data Issue And Person_PK] PRIMARY KEY CLUSTERED 
(
	[Data Issue ID] ASC,
	[Person Name] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO

ALTER TABLE [IBG_Schema].[DG Data Issue And Person] ADD  DEFAULT ((0)) FOR [Data Issue ID]
GO

ALTER TABLE [IBG_Schema].[DG Data Issue And Person] ADD  DEFAULT ('ZZ To Be Determined') FOR [Person Name]
GO

ALTER TABLE [IBG_Schema].[DG Data Issue And Person] ADD  DEFAULT ('ZZ To Be Determined') FOR [Data Governance Role Code EN]
GO

ALTER TABLE [IBG_Schema].[DG Data Issue And Person] ADD  DEFAULT ('ZZ To Be Determined') FOR [Data Issue And Person Notes EN]
GO

ALTER TABLE [IBG_Schema].[DG Data Issue And Person] ADD  DEFAULT ('ZZ To Be Determined') FOR [Data Issue And Person Notes 2NDL]
GO

ALTER TABLE [IBG_Schema].[DG Data Issue And Person] ADD  DEFAULT (getdate()) FOR [IBG Create Date Time]
GO

ALTER TABLE [IBG_Schema].[DG Data Issue And Person]  WITH CHECK ADD  CONSTRAINT [DG Data Issue And Person_Code Data Governance Role_FK] FOREIGN KEY([Data Governance Role Code EN])
REFERENCES [IBG_Schema].[Code Data Governance Role] ([Data Governance Role Code EN])
ON UPDATE CASCADE
GO

ALTER TABLE [IBG_Schema].[DG Data Issue And Person] CHECK CONSTRAINT [DG Data Issue And Person_Code Data Governance Role_FK]
GO

ALTER TABLE [IBG_Schema].[DG Data Issue And Person]  WITH CHECK ADD  CONSTRAINT [DG Data Issue And Person_DG Data Issue Register_FK] FOREIGN KEY([Data Issue ID])
REFERENCES [IBG_Schema].[DG Data Issue Register] ([Data Issue ID])
ON UPDATE CASCADE
GO

ALTER TABLE [IBG_Schema].[DG Data Issue And Person] CHECK CONSTRAINT [DG Data Issue And Person_DG Data Issue Register_FK]
GO

ALTER TABLE [IBG_Schema].[DG Data Issue And Person]  WITH CHECK ADD  CONSTRAINT [DG Data Issue And Person_DG Person_FK] FOREIGN KEY([Person Name])
REFERENCES [IBG_Schema].[DG Person] ([Person Name])
ON UPDATE CASCADE
GO

ALTER TABLE [IBG_Schema].[DG Data Issue And Person] CHECK CONSTRAINT [DG Data Issue And Person_DG Person_FK]
GO

--*************************************************************

DROP VIEW 
 [IBG_Schema].[View DG Data Issue And Person]
GO

CREATE view 
 [IBG_Schema].[View DG Data Issue And Person]
(
[Data Issue ID]
      ,[Person Name]
      ,[Data Governance Role Code EN]
      ,[Data Issue And Person Notes EN]
      ,[Data Issue And Person Notes FR]
      ,[IBG Create Date Time]
)

AS

SELECT [Data Issue ID]
      ,[Person Name]
      ,[Data Governance Role Code EN]
      ,[Data Issue And Person Notes EN]
      ,[Data Issue And Person Notes 2NDL]
      ,[IBG Create Date Time]
  FROM [IBG_Schema].[DG Data Issue And Person]

GO
