/*******************************************************************/
/* Use the appropriate database to load the IBG data model content */
/* When this SQL file is run as a standalone statement             */
--USE [IBG_Demo_DB]
--GO
--USE [IBG_DB]
--GO
/*                                                                 */
/*******************************************************************/

/*******************************************************************/
/* Use the SQLCMDDBNAME variable as set by the calling SQLCMD      */
/* To set the database                                             */
USE $(SQLCMDDBNAME)
GO
/*                                                                 */
/*******************************************************************/


SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [IBG_Schema].[DG Data Issue Status History](
	[Data Issue ID] [int] NOT NULL,
	[Data Issue Status Code EN] [char](64) NOT NULL,
	[Data Issue Status History Date] [date] NOT NULL,
	[Data Issue Status History Notes EN] [varchar](8000) NOT NULL,
	[Data Issue Status History Notes 2NDL] [varchar](8000) NOT NULL,
	[IBG Create Date Time] [datetime] NOT NULL,
 CONSTRAINT [DG Data Issue Status History_PK] PRIMARY KEY CLUSTERED 
(
	[Data Issue Status Code EN] ASC,
	[Data Issue ID] ASC,
	[Data Issue Status History Date] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO

ALTER TABLE [IBG_Schema].[DG Data Issue Status History] ADD  DEFAULT ((0)) FOR [Data Issue ID]
GO

ALTER TABLE [IBG_Schema].[DG Data Issue Status History] ADD  DEFAULT ('ZZ To Be Determined') FOR [Data Issue Status Code EN]
GO

ALTER TABLE [IBG_Schema].[DG Data Issue Status History] ADD  DEFAULT (getdate()) FOR [Data Issue Status History Date]
GO

ALTER TABLE [IBG_Schema].[DG Data Issue Status History] ADD  DEFAULT (getdate()) FOR [Data Issue Status History Notes EN]
GO

ALTER TABLE [IBG_Schema].[DG Data Issue Status History] ADD  DEFAULT (getdate()) FOR [Data Issue Status History Notes 2NDL]
GO

ALTER TABLE [IBG_Schema].[DG Data Issue Status History] ADD  DEFAULT (getdate()) FOR [IBG Create Date Time]
GO

ALTER TABLE [IBG_Schema].[DG Data Issue Status History]  WITH CHECK ADD  CONSTRAINT [DG Data Issue Status History_Code Data Issue Status_FK] FOREIGN KEY([Data Issue Status Code EN])
REFERENCES [IBG_Schema].[Code Data Issue Status] ([Data Issue Status Code EN])
ON UPDATE CASCADE
GO

ALTER TABLE [IBG_Schema].[DG Data Issue Status History] CHECK CONSTRAINT [DG Data Issue Status History_Code Data Issue Status_FK]
GO

ALTER TABLE [IBG_Schema].[DG Data Issue Status History]  WITH CHECK ADD  CONSTRAINT [DG Data Issue Status History_DG Data Issue Register_FK] FOREIGN KEY([Data Issue ID])
REFERENCES [IBG_Schema].[DG Data Issue Register] ([Data Issue ID])
ON UPDATE CASCADE
GO

ALTER TABLE [IBG_Schema].[DG Data Issue Status History] CHECK CONSTRAINT [DG Data Issue Status History_DG Data Issue Register_FK]
GO

--*************************************************************

DROP VIEW 
 [IBG_Schema].[View DG Data Issue Status History]
GO

CREATE view 
 [IBG_Schema].[View DG Data Issue Status History]
(
[Data Issue ID]
      ,[Data Issue Status Code EN]
      ,[Data Issue Status History Date]
      ,[Data Issue Status History Notes EN]
      ,[Data Issue Status History Notes FR]
      ,[IBG Create Date Time]
)

AS

SELECT [Data Issue ID]
      ,[Data Issue Status Code EN]
      ,[Data Issue Status History Date]
      ,[Data Issue Status History Notes EN]
      ,[Data Issue Status History Notes 2NDL]
      ,[IBG Create Date Time]
  FROM [IBG_Schema].[DG Data Issue Status History]

GO