/*******************************************************************/
/* Use the appropriate database to load the IBG data model content */
/* When this SQL file is run as a standalone statement             */
--USE [IBG_Demo_DB]
--GO
--USE [IBG_DB]
--GO
/*                                                                 */
/*******************************************************************/

/*******************************************************************/
/* Use the SQLCMDDBNAME variable as set by the calling SQLCMD      */
/* To set the database                                             */
USE $(SQLCMDDBNAME)
GO
/*                                                                 */
/*******************************************************************/

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [IBG_Schema].[DG-IBG DM Attributes](
	[Attribute_Name] [char](64) NULL,
	[ObjectID] [char](36) NOT NULL,
	[NumOID] [char](5) NULL,
	[ImportID] [char](64) NULL,
	[ContainerID] [char](36) NULL,
	[Num_ContainerID] [char](3) NULL,
	[Mandatory] [char](1) NULL,
	[DataType_Kind] [char](12) NULL,
	[Value_Type] [char](1) NULL,
	[Formula] [char](1) NULL,
	[ScopeEntityID] [char](1) NULL,
	[Num_ScopeEntityID] [char](1) NULL,
	[Domain_ID] [char](36) NULL,
	[Num_Domain_ID] [char](1) NULL,
	[Logical_Type_ID] [char](8) NULL,
	[Num_Logical_Type_ID] [char](2) NULL,
	[Distinct_Type_ID] [char](1) NULL,
	[Num_Distinct_Type_ID] [char](1) NULL,
	[Structured_Type_ID] [char](1) NULL,
	[Num_Structured_Type_ID] [char](1) NULL,
	[Collection_Type_ID] [char](1) NULL,
	[Num_Collection_Type_ID] [char](1) NULL,
	[Check_Constraint_Name] [char](1) NULL,
	[Default_Value] [char](64) NULL,
	[Use_Domain_Constraint] [char](1) NULL,
	[Domain_Name] [char](32) NULL,
	[Logical_Type_Name] [char](32) NULL,
	[Structured_Type_Name] [char](1) NULL,
	[Distinct_Type_Name] [char](1) NULL,
	[Collection_Type_Name] [char](1) NULL,
	[Synonyms] [char](64) NULL,
	[Preferred_Abbreviation] [char](64) NULL,
	[Relation_ID] [char](36) NULL,
	[Num_Relation_ID] [char](16) NULL,
	[Entity_Name] [char](64) NULL,
	[PK_Flag] [char](1) NULL,
	[FK_Flag] [char](1) NULL,
	[Relation_Name] [char](64) NULL,
	[Sequence] [char](8) NULL,
	[T_Size] [char](16) NULL,
	[T_Precision] [char](1) NULL,
	[T_Scale] [char](1) NULL,
	[Data_Source] [char](1) NULL
) ON [PRIMARY]
GO

ALTER TABLE [IBG_Schema].[DG-IBG DM Attributes]  WITH CHECK ADD  CONSTRAINT [DG-IBG DM Attributes_DG-IBG DM Comments RDBMS_FK] FOREIGN KEY([ObjectID])
REFERENCES [IBG_Schema].[DG-IBG DM Comments RDBMS] ([ObjectID])
GO

ALTER TABLE [IBG_Schema].[DG-IBG DM Attributes] CHECK CONSTRAINT [DG-IBG DM Attributes_DG-IBG DM Comments RDBMS_FK]
GO


--*************************************************************

DROP VIEW 
 [IBG_Schema].[View DG-IBG DM Attributes] 
GO

CREATE view 
 [IBG_Schema].[View DG-IBG DM Attributes]
(
     Attribute_Name, 
     ObjectID, 
     NumOID, 
     ImportID, 
     ContainerID, 
     Num_ContainerID, 
     Mandatory, 
     DataType_Kind, 
     Value_Type, 
     Formula, 
     ScopeEntityID, 
     Num_ScopeEntityID, 
     Domain_ID, 
     Num_Domain_ID, 
     Logical_Type_ID, 
     Num_Logical_Type_ID, 
     Distinct_Type_ID, 
     Num_Distinct_Type_ID, 
     Structured_Type_ID, 
     Num_Structured_Type_ID, 
     Collection_Type_ID, 
     Num_Collection_Type_ID, 
     Check_Constraint_Name, 
     Default_Value, 
     Use_Domain_Constraint, 
     Domain_Name, 
     Logical_Type_Name, 
     Structured_Type_Name, 
     Distinct_Type_Name, 
     Collection_Type_Name, 
     Synonyms , 
     Preferred_Abbreviation , 
     Relation_ID , 
     Num_Relation_ID , 
     Entity_Name , 
     PK_Flag , 
     FK_Flag , 
     Relation_Name , 
     Sequence , 
     T_Size , 
     T_Precision , 
     T_Scale , 
     Data_Source 
)

AS

SELECT 
     Attribute_Name, 
     ObjectID, 
     NumOID, 
     ImportID, 
     ContainerID, 
     Num_ContainerID, 
     Mandatory, 
     DataType_Kind, 
     Value_Type, 
     Formula, 
     ScopeEntityID, 
     Num_ScopeEntityID, 
     Domain_ID, 
     Num_Domain_ID, 
     Logical_Type_ID, 
     Num_Logical_Type_ID, 
     Distinct_Type_ID, 
     Num_Distinct_Type_ID, 
     Structured_Type_ID, 
     Num_Structured_Type_ID, 
     Collection_Type_ID, 
     Num_Collection_Type_ID, 
     Check_Constraint_Name, 
     Default_Value, 
     Use_Domain_Constraint, 
     Domain_Name, 
     Logical_Type_Name, 
     Structured_Type_Name, 
     Distinct_Type_Name, 
     Collection_Type_Name, 
     Synonyms , 
     Preferred_Abbreviation , 
     Relation_ID , 
     Num_Relation_ID , 
     Entity_Name , 
     PK_Flag , 
     FK_Flag , 
     Relation_Name , 
     Sequence , 
     T_Size , 
     T_Precision , 
     T_Scale , 
     Data_Source 
  FROM [IBG_Schema].[DG-IBG DM Attributes]

GO

