/*******************************************************************/
/* Use the appropriate database to load the IBG data model content */
/* When this SQL file is run as a standalone statement             */
--USE [IBG_Demo_DB]
--GO
--USE [IBG_DB]
--GO
/*                                                                 */
/*******************************************************************/

/*******************************************************************/
/* Use the SQLCMDDBNAME variable as set by the calling SQLCMD      */
/* To set the database                                             */
USE $(SQLCMDDBNAME)
GO
/*                                                                 */
/*******************************************************************/

/********************************************************************************/
/*                    BULK INSERT Notes                                         */
/* The CSV file must have been saved as type "CSV UTF-8 (Comma delimeted(*.csv) */
/********************************************************************************/

DELETE FROM   
   [IBG_Schema].[DG-IBG DM Attributes]
GO

BULK INSERT 
   [IBG_Schema].[DG-IBG DM Attributes]
FROM 'C:\DG-IBG\DDL and Data Files - IBG_Demo_DB\Startup\DG-IBG DM Attributes - 04 Data For Bulk Insert.csv'
WITH (
        FORMAT ='CSV'
      , FIRSTROW = 2
      , CODEPAGE = '65001'
      , DATAFILETYPE ='char'
      , FIELDTERMINATOR = ','
      , ROWTERMINATOR = '\n'
      , CHECK_CONSTRAINTS
     );
GO

SELECT *
FROM 
   [IBG_Schema].[DG-IBG DM Attributes]
GO
