/*******************************************************************/
/* Use the appropriate database to load the IBG data model content */
/* When this SQL file is run as a standalone statement             */
--USE [IBG_Demo_DB]
--GO
--USE [IBG_DB]
--GO
/*                                                                 */
/*******************************************************************/

/*******************************************************************/
/* Use the SQLCMDDBNAME variable as set by the calling SQLCMD      */
/* To set the database                                             */
USE $(SQLCMDDBNAME)
GO
/*                                                                 */
/*******************************************************************/

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [IBG_Schema].[DG-IBG DM Comments RDBMS](
	[ObjectID] [char](36) NOT NULL,
	[NumOID] [char](5) NULL,
	[Type] [char](9) NULL,
	[Sequence] [char](1) NULL,
	[Text] [char](4096) NULL,
 CONSTRAINT [DG-IBG DM Comments RDBMS_PK] PRIMARY KEY CLUSTERED 
(
	[ObjectID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO


--*************************************************************

DROP VIEW 
 [IBG_Schema].[View DG-IBG DM Comments RDBMS] 
GO

CREATE view 
 [IBG_Schema].[View DG-IBG DM Comments RDBMS]
    (
     ObjectID , 
     NumOID , 
     Type , 
     Sequence, 
     Text  
    )
AS

SELECT 
     ObjectID , 
     NumOID , 
     Type , 
     Sequence, 
     Text  
FROM [IBG_Schema].[DG-IBG DM Comments RDBMS]

GO

