/*******************************************************************/
/* Use the appropriate database to load the IBG data model content */
/* When this SQL file is run as a standalone statement             */
--USE [IBG_Demo_DB]
--GO
--USE [IBG_DB]
--GO
/*                                                                 */
/*******************************************************************/

/*******************************************************************/
/* Use the SQLCMDDBNAME variable as set by the calling SQLCMD      */
/* To set the database                                             */
USE $(SQLCMDDBNAME)
GO
/*                                                                 */
/*******************************************************************/


SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [IBG_Schema].[IBG Application Software](
	[Application Software Nickname EN] [char](64) NOT NULL,
	[Application Software Nickname 2NDL] [char](64) NOT NULL,
	[Application Software Full Name EN] [char](256) NOT NULL,
	[Application Software Full Name 2NDL] [char](256) NOT NULL,
	[Application Software Vendor Name] [char](256) NOT NULL,
	[Application Software Hyperlink] [varchar](8000) NOT NULL,
	[Application Software Description EN] [varchar](8000) NOT NULL,
	[Application Software Description 2NDL] [varchar](8000) NOT NULL,
	[Application Software Notes EN] [varchar](8000) NOT NULL,
	[Application Software Notes 2NDL] [varchar](8000) NOT NULL,
	[IBG Create Date Time] [datetime] NOT NULL,
 CONSTRAINT [IBG Application Software_PK] PRIMARY KEY CLUSTERED 
(
	[Application Software Nickname EN] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO

ALTER TABLE [IBG_Schema].[IBG Application Software] ADD  DEFAULT ('ZZ To Be Determined') FOR [Application Software Nickname EN]
GO

ALTER TABLE [IBG_Schema].[IBG Application Software] ADD  DEFAULT ('ZZ To Be Determined') FOR [Application Software Nickname 2NDL]
GO

ALTER TABLE [IBG_Schema].[IBG Application Software] ADD  DEFAULT ('ZZ To Be Determined') FOR [Application Software Full Name EN]
GO

ALTER TABLE [IBG_Schema].[IBG Application Software] ADD  DEFAULT ('ZZ To Be Determined') FOR [Application Software Full Name 2NDL]
GO

ALTER TABLE [IBG_Schema].[IBG Application Software] ADD  DEFAULT ('ZZ To Be Determined') FOR [Application Software Vendor Name]
GO

ALTER TABLE [IBG_Schema].[IBG Application Software] ADD  DEFAULT ('ZZ To Be Determined') FOR [Application Software Hyperlink]
GO

ALTER TABLE [IBG_Schema].[IBG Application Software] ADD  DEFAULT ('ZZ To Be Determined') FOR [Application Software Description EN]
GO

ALTER TABLE [IBG_Schema].[IBG Application Software] ADD  DEFAULT ('ZZ To Be Determined') FOR [Application Software Description 2NDL]
GO

--*************************************************************

DROP VIEW 
 [IBG_Schema].[View IBG Application Software]
GO

CREATE view 
 [IBG_Schema].[View IBG Application Software]
(
 [Application Software Nickname EN]
      ,[Application Software Nickname FR]
      ,[Application Software Full Name EN]
      ,[Application Software Full Name FR]
      ,[Application Software Vendor Name]
      ,[Application Software Hyperlink]
      ,[Application Software Description EN]
      ,[Application Software Description FR]
      ,[Application Software Notes EN]
      ,[Application Software Notes FR]
      ,[IBG Create Date Time]
)

AS

SELECT [Application Software Nickname EN]
      ,[Application Software Nickname 2NDL]
      ,[Application Software Full Name EN]
      ,[Application Software Full Name 2NDL]
      ,[Application Software Vendor Name]
      ,[Application Software Hyperlink]
      ,[Application Software Description EN]
      ,[Application Software Description 2NDL]
      ,[Application Software Notes EN]
      ,[Application Software Notes 2NDL]
      ,[IBG Create Date Time]
  FROM [IBG_Schema].[IBG Application Software]

GO

ALTER TABLE [IBG_Schema].[IBG Application Software] ADD  DEFAULT ('ZZ To Be Determined') FOR [Application Software Notes EN]
GO

ALTER TABLE [IBG_Schema].[IBG Application Software] ADD  DEFAULT ('ZZ To Be Determined') FOR [Application Software Notes 2NDL]
GO

ALTER TABLE [IBG_Schema].[IBG Application Software] ADD  DEFAULT (getdate()) FOR [IBG Create Date Time]
GO

