/*******************************************************************/
/* Use the appropriate database to load the IBG data model content */
/* When this SQL file is run as a standalone statement             */
--USE [IBG_Demo_DB]
--GO
--USE [IBG_DB]
--GO
/*                                                                 */
/*******************************************************************/

/*******************************************************************/
/* Use the SQLCMDDBNAME variable as set by the calling SQLCMD      */
/* To set the database                                             */
USE $(SQLCMDDBNAME)
GO
/*                                                                 */
/*******************************************************************/


SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [IBG_Schema].[IBG Application Software Field](
	[Application Software Nickname EN] [char](64) NOT NULL,
	[Application SW Window Name EN] [char](64) NOT NULL,
	[Application SW Field Name EN] [char](64) NOT NULL,
	[Application SW Window Name 2NDL] [char](64) NOT NULL,
	[Application SW Field Name 2NDL] [char](64) NOT NULL,
	[Notes EN] [varchar](8000) NOT NULL,
	[Notes 2NDL] [varchar](8000) NOT NULL,
	[IBG Create Date Time] [datetime] NOT NULL,
 CONSTRAINT [IBG Application Software Field_PK] PRIMARY KEY CLUSTERED 
(
	[Application SW Window Name EN] ASC,
	[Application SW Field Name EN] ASC,
	[Application Software Nickname EN] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO

ALTER TABLE [IBG_Schema].[IBG Application Software Field] ADD  DEFAULT ('ZZ To Be Determined') FOR [Application Software Nickname EN]
GO

ALTER TABLE [IBG_Schema].[IBG Application Software Field] ADD  DEFAULT ('ZZ To Be Determined') FOR [Application SW Window Name EN]
GO

ALTER TABLE [IBG_Schema].[IBG Application Software Field] ADD  DEFAULT ('ZZ To Be Determined') FOR [Application SW Field Name EN]
GO

ALTER TABLE [IBG_Schema].[IBG Application Software Field] ADD  DEFAULT ('ZZ To Be Determined') FOR [Application SW Window Name 2NDL]
GO

ALTER TABLE [IBG_Schema].[IBG Application Software Field] ADD  DEFAULT ('ZZ To Be Determined') FOR [Application SW Field Name 2NDL]
GO

ALTER TABLE [IBG_Schema].[IBG Application Software Field] ADD  DEFAULT ('ZZ To Be Determined') FOR [Notes EN]
GO

ALTER TABLE [IBG_Schema].[IBG Application Software Field] ADD  DEFAULT ('ZZ To Be Determined') FOR [Notes 2NDL]
GO

ALTER TABLE [IBG_Schema].[IBG Application Software Field] ADD  DEFAULT (getdate()) FOR [IBG Create Date Time]
GO

ALTER TABLE [IBG_Schema].[IBG Application Software Field]  WITH CHECK ADD  CONSTRAINT [IBG Application Software Field_IBG Application Software_FK] FOREIGN KEY([Application Software Nickname EN])
REFERENCES [IBG_Schema].[IBG Application Software] ([Application Software Nickname EN])
ON UPDATE CASCADE
GO

ALTER TABLE [IBG_Schema].[IBG Application Software Field] CHECK CONSTRAINT [IBG Application Software Field_IBG Application Software_FK]
GO

--*************************************************************

DROP VIEW 
 [IBG_Schema].[View IBG Application Software Field]
GO

CREATE view 
 [IBG_Schema].[View IBG Application Software Field]
(
[Application Software Nickname EN]
      ,[Application SW Window Name EN]
      ,[Application SW Field Name EN]
      ,[Application SW Window Name FR]
      ,[Application SW Field Name FR]
      ,[Notes EN]
      ,[Notes FR]
      ,[IBG Create Date Time]
)

AS

SELECT [Application Software Nickname EN]
      ,[Application SW Window Name EN]
      ,[Application SW Field Name EN]
      ,[Application SW Window Name 2NDL]
      ,[Application SW Field Name 2NDL]
      ,[Notes EN]
      ,[Notes 2NDL]
      ,[IBG Create Date Time]
  FROM [IBG_Schema].[IBG Application Software Field]

GO
