/*******************************************************************/
/* Use the appropriate database to load the IBG data model content */
/* When this SQL file is run as a standalone statement             */
--USE [IBG_Demo_DB]
--GO
--USE [IBG_DB]
--GO
/*                                                                 */
/*******************************************************************/

/*******************************************************************/
/* Use the SQLCMDDBNAME variable as set by the calling SQLCMD      */
/* To set the database                                             */
USE $(SQLCMDDBNAME)
GO
/*                                                                 */
/*******************************************************************/


SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [IBG_Schema].[IBG Business Attribute Core](
	[Business Attribute Name EN] [char](64) NOT NULL,
	[Business Entity Name EN] [char](64) NOT NULL,
	[Subject Area Name EN] [char](64) NOT NULL,
	[Business Attribute Name 2NDL] [char](64) NOT NULL,
	[Business Attribute Definition EN] [varchar](8000) NOT NULL,
	[Business Attribute Definition 2NDL] [varchar](8000) NOT NULL,
	[Business Metadata Status Code EN] [char](64) NOT NULL,
	[Business Metadata Approved By Person Name] [char](128) NOT NULL,
	[Business Metadata Approved Date] [date] NOT NULL,
	[Default Value EN] [varchar](8000) NOT NULL,
	[Default Value 2NDL] [varchar](8000) NOT NULL,
	[Data Entry Guidelines EN] [varchar](8000) NOT NULL,
	[Data Entry Guidelines 2NDL] [varchar](8000) NOT NULL,
	[Derivation Rule EN] [varchar](8000) NOT NULL,
	[Derivation Rule 2NDL] [varchar](8000) NOT NULL,
	[Usage Guidelines EN] [varchar](8000) NOT NULL,
	[Usage Guidelines 2NDL] [varchar](8000) NOT NULL,
	[Mosaic Caution EN] [varchar](8000) NOT NULL,
	[Mosaic Caution 2NDL] [varchar](8000) NOT NULL,
	[Masking Rule EN] [varchar](8000) NOT NULL,
	[Masking Rule 2NDL] [varchar](8000) NOT NULL,
	[Archive Rule EN] [varchar](8000) NOT NULL,
	[Archive Rule 2NDL] [varchar](8000) NOT NULL,
	[Purge Rule EN] [varchar](8000) NOT NULL,
	[Purge Rule 2NDL] [varchar](8000) NOT NULL,
	[Operational Reference Master Code EN] [char](64) NOT NULL,
	[Protected Level Code EN] [char](64) NOT NULL,
	[Sensitivity Level Code EN] [char](64) NOT NULL,
	[Personally Identifiable Information Indicator EN] [char](64) NOT NULL,
	[Business Attribute Notes EN] [varchar](8000) NOT NULL,
	[Business Attribute Notes 2NDL] [varchar](8000) NOT NULL,
	[IBG Create Date Time] [datetime] NOT NULL,
 CONSTRAINT [IBG Business Attribute Core_PK] PRIMARY KEY CLUSTERED 
(
	[Business Entity Name EN] ASC,
	[Subject Area Name EN] ASC,
	[Business Attribute Name EN] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO

ALTER TABLE [IBG_Schema].[IBG Business Attribute Core] ADD  DEFAULT ('ZZ To Be Determined') FOR [Business Attribute Name EN]
GO

ALTER TABLE [IBG_Schema].[IBG Business Attribute Core] ADD  DEFAULT ('ZZ To Be Determined') FOR [Business Entity Name EN]
GO

ALTER TABLE [IBG_Schema].[IBG Business Attribute Core] ADD  DEFAULT ('ZZ To Be Determined') FOR [Subject Area Name EN]
GO

ALTER TABLE [IBG_Schema].[IBG Business Attribute Core] ADD  DEFAULT ('ZZ To Be Determined') FOR [Business Attribute Name 2NDL]
GO

ALTER TABLE [IBG_Schema].[IBG Business Attribute Core] ADD  DEFAULT ('ZZ To Be Determined') FOR [Business Attribute Definition EN]
GO

ALTER TABLE [IBG_Schema].[IBG Business Attribute Core] ADD  DEFAULT ('ZZ To Be Determined') FOR [Business Attribute Definition 2NDL]
GO

ALTER TABLE [IBG_Schema].[IBG Business Attribute Core] ADD  DEFAULT ('ZZ To Be Determined') FOR [Business Metadata Status Code EN]
GO

ALTER TABLE [IBG_Schema].[IBG Business Attribute Core] ADD  DEFAULT ('ZZ To Be Determined') FOR [Business Metadata Approved By Person Name]
GO

ALTER TABLE [IBG_Schema].[IBG Business Attribute Core] ADD  DEFAULT ('9999-12-31') FOR [Business Metadata Approved Date]
GO

ALTER TABLE [IBG_Schema].[IBG Business Attribute Core] ADD  DEFAULT ('ZZ To Be Determined') FOR [Default Value EN]
GO

ALTER TABLE [IBG_Schema].[IBG Business Attribute Core] ADD  DEFAULT ('ZZ To Be Determined') FOR [Default Value 2NDL]
GO

ALTER TABLE [IBG_Schema].[IBG Business Attribute Core] ADD  DEFAULT ('ZZ To Be Determined') FOR [Data Entry Guidelines EN]
GO

ALTER TABLE [IBG_Schema].[IBG Business Attribute Core] ADD  DEFAULT ('ZZ To Be Determined') FOR [Data Entry Guidelines 2NDL]
GO

ALTER TABLE [IBG_Schema].[IBG Business Attribute Core] ADD  DEFAULT ('ZZ To Be Determined') FOR [Derivation Rule EN]
GO

ALTER TABLE [IBG_Schema].[IBG Business Attribute Core] ADD  DEFAULT ('ZZ To Be Determined') FOR [Derivation Rule 2NDL]
GO

ALTER TABLE [IBG_Schema].[IBG Business Attribute Core] ADD  DEFAULT ('ZZ To Be Determined') FOR [Usage Guidelines EN]
GO

ALTER TABLE [IBG_Schema].[IBG Business Attribute Core] ADD  DEFAULT ('ZZ To Be Determined') FOR [Usage Guidelines 2NDL]
GO

ALTER TABLE [IBG_Schema].[IBG Business Attribute Core] ADD  DEFAULT ('ZZ To Be Determined') FOR [Mosaic Caution EN]
GO

ALTER TABLE [IBG_Schema].[IBG Business Attribute Core] ADD  DEFAULT ('ZZ To Be Determined') FOR [Mosaic Caution 2NDL]
GO

ALTER TABLE [IBG_Schema].[IBG Business Attribute Core] ADD  DEFAULT ('ZZ To Be Determined') FOR [Masking Rule EN]
GO

ALTER TABLE [IBG_Schema].[IBG Business Attribute Core] ADD  DEFAULT ('ZZ To Be Determined') FOR [Masking Rule 2NDL]
GO

ALTER TABLE [IBG_Schema].[IBG Business Attribute Core] ADD  DEFAULT ('ZZ To Be Determined') FOR [Archive Rule EN]
GO

ALTER TABLE [IBG_Schema].[IBG Business Attribute Core] ADD  DEFAULT ('ZZ To Be Determined') FOR [Archive Rule 2NDL]
GO

ALTER TABLE [IBG_Schema].[IBG Business Attribute Core] ADD  DEFAULT ('ZZ To Be Determined') FOR [Purge Rule EN]
GO

ALTER TABLE [IBG_Schema].[IBG Business Attribute Core] ADD  DEFAULT ('ZZ To Be Determined') FOR [Purge Rule 2NDL]
GO

ALTER TABLE [IBG_Schema].[IBG Business Attribute Core] ADD  DEFAULT ('ZZ To Be Determined') FOR [Operational Reference Master Code EN]
GO

ALTER TABLE [IBG_Schema].[IBG Business Attribute Core] ADD  DEFAULT ('ZZ To Be Determined') FOR [Protected Level Code EN]
GO

ALTER TABLE [IBG_Schema].[IBG Business Attribute Core] ADD  DEFAULT ('ZZ To Be Determined') FOR [Sensitivity Level Code EN]
GO

ALTER TABLE [IBG_Schema].[IBG Business Attribute Core] ADD  DEFAULT ('ZZ To Be Determined') FOR [Personally Identifiable Information Indicator EN]
GO

ALTER TABLE [IBG_Schema].[IBG Business Attribute Core] ADD  DEFAULT ('ZZ To Be Determined') FOR [Business Attribute Notes EN]
GO

ALTER TABLE [IBG_Schema].[IBG Business Attribute Core] ADD  DEFAULT ('ZZ To Be Determined') FOR [Business Attribute Notes 2NDL]
GO

ALTER TABLE [IBG_Schema].[IBG Business Attribute Core] ADD  DEFAULT (getdate()) FOR [IBG Create Date Time]
GO

ALTER TABLE [IBG_Schema].[IBG Business Attribute Core]  WITH CHECK ADD  CONSTRAINT [IBG Business Attribute Core_Code Business Metadata Status_FK] FOREIGN KEY([Business Metadata Status Code EN])
REFERENCES [IBG_Schema].[Code Business Metadata Status] ([Business Metadata Status Code EN])
ON UPDATE CASCADE
GO

ALTER TABLE [IBG_Schema].[IBG Business Attribute Core] CHECK CONSTRAINT [IBG Business Attribute Core_Code Business Metadata Status_FK]
GO

ALTER TABLE [IBG_Schema].[IBG Business Attribute Core]  WITH CHECK ADD  CONSTRAINT [IBG Business Attribute Core_Code Operational Reference Master_FK] FOREIGN KEY([Operational Reference Master Code EN])
REFERENCES [IBG_Schema].[Code Operational Reference Master] ([Operational Reference Master Code EN])
ON UPDATE CASCADE
GO

ALTER TABLE [IBG_Schema].[IBG Business Attribute Core] CHECK CONSTRAINT [IBG Business Attribute Core_Code Operational Reference Master_FK]
GO

ALTER TABLE [IBG_Schema].[IBG Business Attribute Core]  WITH CHECK ADD  CONSTRAINT [IBG Business Attribute Core_Code Protected Level_FK] FOREIGN KEY([Protected Level Code EN])
REFERENCES [IBG_Schema].[Code Protected Level] ([Protected Level Code EN])
ON UPDATE CASCADE
GO

ALTER TABLE [IBG_Schema].[IBG Business Attribute Core] CHECK CONSTRAINT [IBG Business Attribute Core_Code Protected Level_FK]
GO

ALTER TABLE [IBG_Schema].[IBG Business Attribute Core]  WITH CHECK ADD  CONSTRAINT [IBG Business Attribute Core_Code Sensitivity Level_FK] FOREIGN KEY([Sensitivity Level Code EN])
REFERENCES [IBG_Schema].[Code Sensitivity Level] ([Sensitivity Level Code EN])
ON UPDATE CASCADE
GO

ALTER TABLE [IBG_Schema].[IBG Business Attribute Core] CHECK CONSTRAINT [IBG Business Attribute Core_Code Sensitivity Level_FK]
GO

ALTER TABLE [IBG_Schema].[IBG Business Attribute Core]  WITH CHECK ADD  CONSTRAINT [IBG Business Attribute Core_Code Yes No_FK] FOREIGN KEY([Personally Identifiable Information Indicator EN])
REFERENCES [IBG_Schema].[Code Yes No] ([Yes No Code EN])
ON UPDATE CASCADE
GO

ALTER TABLE [IBG_Schema].[IBG Business Attribute Core] CHECK CONSTRAINT [IBG Business Attribute Core_Code Yes No_FK]
GO

ALTER TABLE [IBG_Schema].[IBG Business Attribute Core]  WITH CHECK ADD  CONSTRAINT [IBG Business Attribute Core_DG Person_FK] FOREIGN KEY([Business Metadata Approved By Person Name])
REFERENCES [IBG_Schema].[DG Person] ([Person Name])
GO

ALTER TABLE [IBG_Schema].[IBG Business Attribute Core] CHECK CONSTRAINT [IBG Business Attribute Core_DG Person_FK]
GO

ALTER TABLE [IBG_Schema].[IBG Business Attribute Core]  WITH CHECK ADD  CONSTRAINT [IBG Business Attribute Core_IBG Business Entity_FK] FOREIGN KEY([Business Entity Name EN], [Subject Area Name EN])
REFERENCES [IBG_Schema].[IBG Business Entity] ([Business Entity Name EN], [Subject Area Name EN])
GO

ALTER TABLE [IBG_Schema].[IBG Business Attribute Core] CHECK CONSTRAINT [IBG Business Attribute Core_IBG Business Entity_FK]
GO

--*************************************************************

DROP VIEW 
 [IBG_Schema].[View IBG Business Attribute Core]
GO

CREATE view 
 [IBG_Schema].[View IBG Business Attribute Core]
(
       [Business Attribute Name EN]
      ,[Business Entity Name EN]
      ,[Subject Area Name EN]
      ,[Business Attribute Name FR]
      ,[Business Attribute Definition EN]
      ,[Business Attribute Definition FR]
      ,[Business Metadata Status Code EN]
      ,[Business Metadata Approved By Person Name] 
      ,[Business Metadata Approved Date]
      ,[Default Value EN]
      ,[Default Value FR]
      ,[Data Entry Guidelines EN]
      ,[Data Entry Guidelines FR]
      ,[Derivation Rule EN]
      ,[Derivation Rule FR]
      ,[Usage Guidelines EN]
      ,[Usage Guidelines FR]
      ,[Mosaic Caution EN]
      ,[Mosaic Caution FR]
      ,[Masking Rule EN]
      ,[Masking Rule FR]
      ,[Archive Rule EN]
      ,[Archive Rule FR]
      ,[Purge Rule EN]
      ,[Purge Rule FR]
      ,[Operational Reference Master Code EN]
      ,[Protected Level Code EN]
      ,[Sensitivity Level Code EN]
      ,[Personally Identifiable Information Indicator EN]
      ,[Business Attribute Notes EN]
      ,[Business Attribute Notes FR]
      ,[IBG Create Date Time]
)

AS

SELECT [Business Attribute Name EN]
      ,[Business Entity Name EN]
      ,[Subject Area Name EN]
      ,[Business Attribute Name 2NDL]
      ,[Business Attribute Definition EN]
      ,[Business Attribute Definition 2NDL]
      ,[Business Metadata Status Code EN]
      ,[Business Metadata Approved By Person Name] 
      ,[Business Metadata Approved Date]
      ,[Default Value EN]
      ,[Default Value 2NDL]
      ,[Data Entry Guidelines EN]
      ,[Data Entry Guidelines 2NDL]
      ,[Derivation Rule EN]
      ,[Derivation Rule 2NDL]
      ,[Usage Guidelines EN]
      ,[Usage Guidelines 2NDL]
      ,[Mosaic Caution EN]
      ,[Mosaic Caution 2NDL]
      ,[Masking Rule EN]
      ,[Masking Rule 2NDL]
      ,[Archive Rule EN]
      ,[Archive Rule 2NDL]
      ,[Purge Rule EN]
      ,[Purge Rule 2NDL]
      ,[Operational Reference Master Code EN]
      ,[Protected Level Code EN]
      ,[Sensitivity Level Code EN]
      ,[Personally Identifiable Information Indicator EN]
      ,[Business Attribute Notes EN]
      ,[Business Attribute Notes 2NDL]
      ,[IBG Create Date Time]
  FROM [IBG_Schema].[IBG Business Attribute Core]

GO

