/*******************************************************************/
/* Use the appropriate database to load the IBG data model content */
/* When this SQL file is run as a standalone statement             */
--USE [IBG_Demo_DB]
--GO
--USE [IBG_DB]
--GO
/*                                                                 */
/*******************************************************************/

/*******************************************************************/
/* Use the SQLCMDDBNAME variable as set by the calling SQLCMD      */
/* To set the database                                             */
USE $(SQLCMDDBNAME)
GO
/*                                                                 */
/*******************************************************************/

DELETE FROM   
   [IBG_Schema].[IBG Business Attribute DQ Colors]
GO

BULK INSERT 
   [IBG_Schema].[IBG Business Attribute DQ Colors]
FROM 'C:\DG-IBG\DDL and Data Files - IBG_Demo_DB\Startup\IBG Business Attribute DQ Colors - 04 Data For Bulk Insert.csv'
WITH (
        FORMAT ='CSV'
      , FIRSTROW = 2
      , CODEPAGE = '65001'
      , DATAFILETYPE ='char'
      , FIELDTERMINATOR = ','
      , ROWTERMINATOR = '\n'
      , CHECK_CONSTRAINTS);
GO

SELECT *
FROM 
   [IBG_Schema].[IBG Business Attribute DQ Colors]
GO
