/*******************************************************************/
/* Use the appropriate database to load the IBG data model content */
/* When this SQL file is run as a standalone statement             */
--USE [IBG_Demo_DB]
--GO
--USE [IBG_DB]
--GO
/*                                                                 */
/*******************************************************************/

/*******************************************************************/
/* Use the SQLCMDDBNAME variable as set by the calling SQLCMD      */
/* To set the database                                             */
USE $(SQLCMDDBNAME)
GO
/*                                                                 */
/*******************************************************************/

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

DROP view 
 [IBG_Schema].[View - PB - Committee Membership]
GO

CREATE view 
 [IBG_Schema].[View - PB - Committee Membership]

AS
SELECT [Committee Acronym EN]
      ,[Committee Membership Role Code EN]
      ,[Committee Membership Start Date]
      ,[Committee Membership End Date]
      ,[Notes EN]
      ,[Notes 2NDL]
      ,[View - PB - Org Hierarchy By Person].*
  FROM [IBG_Schema].[DG Committee Membership]
      ,[IBG_Schema].[View - PB - Org Hierarchy By Person]  
WHERE
       [DG Committee Membership].[Person Name] = [View - PB - Org Hierarchy By Person].[Person Name]
GO
