/*******************************************************************/
/* Use the appropriate database to load the IBG data model content */
/* When this SQL file is run as a standalone statement             */
--USE [IBG_Demo_DB]
--GO
--USE [IBG_DB]
--GO
/*                                                                 */
/*******************************************************************/

/*******************************************************************/
/* Use the SQLCMDDBNAME variable as set by the calling SQLCMD      */
/* To set the database                                             */
USE $(SQLCMDDBNAME)
GO
/*                                                                 */
/*******************************************************************/

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

DROP view 
 [IBG_Schema].[View - PB - DG-IBG Schema Business Attributes]
GO

CREATE view 
 [IBG_Schema].[View - PB - DG-IBG Schema Business Attributes]

AS

SELECT 
  [Entities].[Entity_Name]       as [DG-IBG Entity Name]
, [Comments_Entities].[Text]     as [DG-IBG Entity Comments]
, [Attributes].[Attribute_Name]  as [DG-IBG Attribute Name]
, [Comments_Attributes].[Text]   as [DG-IBG Attribute Comments]
            
FROM 
  [IBG_Schema].[DG-IBG DM Attributes]       Attributes
, [IBG_Schema].[DG-IBG DM Entities]         Entities
, [IBG_Schema].[DG-IBG DM Comments RDBMS]   Comments_Attributes
, [IBG_Schema].[DG-IBG DM Comments RDBMS]   Comments_Entities

  WHERE
       [Attributes].[ObjectID] = [Comments_Attributes].[ObjectID]
  AND
       [Entities].[ObjectID]   = [Comments_Entities].[ObjectID]
  AND
       [Attributes].[Entity_Name] = [Entities].[Entity_Name]

GO

