/*******************************************************************/
/* Use the appropriate database to load the IBG data model content */
/* When this SQL file is run as a standalone statement             */
--USE [IBG_Demo_DB]
--GO
--USE [IBG_DB]
--GO
/*                                                                 */
/*******************************************************************/

/*******************************************************************/
/* Use the SQLCMDDBNAME variable as set by the calling SQLCMD      */
/* To set the database                                             */
USE $(SQLCMDDBNAME)
GO
/*                                                                 */
/*******************************************************************/

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

DROP view 
 [IBG_Schema].[View - PB - Data Issue BA Application And BI Object]
GO

CREATE view 
 [IBG_Schema].[View - PB - Data Issue BA Application And BI Object]
AS
SELECT distinct					
       [View IBG XREF BA And Column].[Business Attribute Name EN]
      ,[View IBG XREF BA And Column].[Business Entity Name EN]
      ,[View IBG XREF BA And Column].[Subject Area Name EN]

      ,[View IBG XREF BA Data Issue And Application].[Data Issue ID] as [Application Related Data Issue ID]
      ,[View IBG XREF BA Data Issue And Application].[Application Software Nickname EN]
      ,[View IBG XREF BA Data Issue And Application].[Application SW Window Name EN]
      ,[View IBG XREF BA Data Issue And Application].[Application SW Field Name EN]

      ,[View IBG XREF BA Data Issue And BI Object].[Data Issue ID] as [BI Object Related Data Issue ID]
      ,[View IBG XREF BA Data Issue And BI Object].[BI Object Name EN]
      ,[View IBG XREF BA Data Issue And BI Object].[BI Object Type EN]
      ,[View IBG XREF BA Data Issue And BI Object].[BI Accountable Business Unit Acronym EN]
      ,SYSDATETIME() AS [IBG Publish Date]

  FROM 
       [IBG_Schema].[View IBG XREF BA Data Issue And Application]
      ,[IBG_Schema].[View IBG XREF BA Data Issue And BI Object]
      ,[IBG_Schema].[View IBG XREF BA And Column]
WHERE
(
       [View IBG XREF BA And Column].[Business Attribute Name EN] 			= [View IBG XREF BA Data Issue And Application].[Business Attribute Name EN]
 AND
       [View IBG XREF BA And Column].[Business Entity Name EN] 				= [View IBG XREF BA Data Issue And Application].[Business Entity Name EN]
 AND
       [View IBG XREF BA And Column].[Subject Area Name EN] 				= [View IBG XREF BA Data Issue And Application].[Subject Area Name EN]
)
AND
(
       [View IBG XREF BA And Column].[Business Attribute Name EN] 			= [View IBG XREF BA Data Issue And BI Object].[Business Attribute Name EN]
 AND
       [View IBG XREF BA And Column].[Business Entity Name EN] 				= [View IBG XREF BA Data Issue And BI Object].[Business Entity Name EN]
 AND
       [View IBG XREF BA And Column].[Subject Area Name EN] 				= [View IBG XREF BA Data Issue And BI Object].[Subject Area Name EN]
)

GO