/*******************************************************************/
/* Use the appropriate database to load the IBG data model content */
/* When this SQL file is run as a standalone statement             */
--USE [IBG_Demo_DB]
--GO
--USE [IBG_DB]
--GO
/*                                                                 */
/*******************************************************************/

/*******************************************************************/
/* Use the SQLCMDDBNAME variable as set by the calling SQLCMD      */
/* To set the database                                             */
USE $(SQLCMDDBNAME)
GO
/*                                                                 */
/*******************************************************************/

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

DROP view 
 [IBG_Schema].[View - PB - Data Issue Business Attribute And Application]
GO

CREATE view 
 [IBG_Schema].[View - PB - Data Issue Business Attribute And Application]
AS
SELECT [View DG Data Issue Register].[Data Issue ID]
      ,[View DG Data Issue Register].[Data Issue Title EN]
      ,[View DG Data Issue Register].[Data Issue Title FR]
      ,[View DG Data Issue Register].[Data Issue Description EN]
      ,[View DG Data Issue Register].[Data Issue Description FR]
      ,[View DG Data Issue Register].[Data Issue Documentation Folder Hyperlink]
      ,[View DG Data Issue Register].[Data Issue Category Code EN]
      ,[View DG Data Issue Register].[Data Issue Severity Code EN]
      ,[View DG Data Issue Register].[Data Issue Priority Code]
      ,[View DG Data Issue Register].[Data Issue Identification Date]
      ,[View DG Data Issue Register].[Data Issue Notes EN]
      ,[View DG Data Issue Register].[Data Issue Notes FR]

      ,[View IBG XREF BA Data Issue And Application].[Application Software Nickname EN]
      ,[View IBG XREF BA Data Issue And Application].[Application SW Window Name EN]
      ,[View IBG XREF BA Data Issue And Application].[Application SW Field Name EN]

      ,[View IBG XREF BA Column And Application].[System Of Record Or Reference Code EN]

      ,[View IBG XREF BA Data Issue And Application].[Data Issue BA Column And Application Notes EN]
      ,[View IBG XREF BA Data Issue And Application].[Data Issue BA Column And Application Notes FR]

      ,[View IBG Business Attribute Core].[Business Attribute Name EN]
      ,[View IBG Business Attribute Core].[Business Entity Name EN]
      ,[View IBG Business Attribute Core].[Subject Area Name EN]
      ,[View IBG XREF BA Data Issue And Application].[Column Name]
      ,[View IBG XREF BA Data Issue And Application].[Table or View Name]
      ,[View IBG XREF BA Data Issue And Application].[Schema Name]
      ,[View IBG XREF BA Data Issue And Application].[Database Name]
      ,[View IBG XREF BA Data Issue And Application].[DBMS Name]

      ,[View IBG Business Attribute Core].[Business Attribute Name FR]
      ,[View IBG Business Attribute Core].[Business Attribute Definition EN]
      ,[View IBG Business Attribute Core].[Business Attribute Definition FR]
      ,[View IBG Business Attribute Core].[Business Metadata Status Code EN]
      ,[View IBG Business Attribute Core].[Default Value EN]
      ,[View IBG Business Attribute Core].[Default Value FR]
      ,[View IBG Business Attribute Core].[Data Entry Guidelines EN]
      ,[View IBG Business Attribute Core].[Data Entry Guidelines FR]
      ,[View IBG Business Attribute Core].[Derivation Rule EN]
      ,[View IBG Business Attribute Core].[Derivation Rule FR]
      ,[View IBG Business Attribute Core].[Usage Guidelines EN]
      ,[View IBG Business Attribute Core].[Usage Guidelines FR]
      ,[View IBG Business Attribute Core].[Mosaic Caution EN]
      ,[View IBG Business Attribute Core].[Mosaic Caution FR]
      ,[View IBG Business Attribute Core].[Masking Rule EN]
      ,[View IBG Business Attribute Core].[Masking Rule FR]
      ,[View IBG Business Attribute Core].[Archive Rule EN]
      ,[View IBG Business Attribute Core].[Archive Rule FR]
      ,[View IBG Business Attribute Core].[Purge Rule EN]
      ,[View IBG Business Attribute Core].[Purge Rule FR]
      ,[View IBG Business Attribute Core].[Protected Level Code EN]
      ,[View IBG Business Attribute Core].[Sensitivity Level Code EN]
      ,[View IBG Business Attribute Core].[Personally Identifiable Information Indicator EN]
      ,[View IBG Business Attribute Core].[Business Attribute Notes EN]
      ,[View IBG Business Attribute Core].[Business Attribute Notes FR]

      ,SYSDATETIME() AS [IBG Publish Date]

  FROM [IBG_Schema].[View DG Data Issue Register]
      ,[IBG_Schema].[View IBG XREF BA Data Issue And Application]
      ,[IBG_Schema].[View IBG Business Attribute Core]
      ,[IBG_Schema].[View IBG XREF BA Column And Application]
WHERE
       [View DG Data Issue Register].[Data Issue ID] 					= [View IBG XREF BA Data Issue And Application].[Data Issue ID]

AND
(
       [View IBG XREF BA Data Issue And Application].[Business Attribute Name EN] 	= [View IBG XREF BA Column And Application].[Business Attribute Name EN]
 AND
       [View IBG XREF BA Data Issue And Application].[Business Entity Name EN] 		= [View IBG XREF BA Column And Application].[Business Entity Name EN]
 AND
       [View IBG XREF BA Data Issue And Application].[Subject Area Name EN] 		= [View IBG XREF BA Column And Application].[Subject Area Name EN]
 AND
       [View IBG XREF BA Data Issue And Application].[Column Name] 			= [View IBG XREF BA Column And Application].[Column Name]
 AND
       [View IBG XREF BA Data Issue And Application].[Table Or View Name] 		= [View IBG XREF BA Column And Application].[Table Or View Name]
 AND
       [View IBG XREF BA Data Issue And Application].[Schema Name] 			= [View IBG XREF BA Column And Application].[Schema Name]
 AND
       [View IBG XREF BA Data Issue And Application].[Database Name] 			= [View IBG XREF BA Column And Application].[Database Name]
 AND
       [View IBG XREF BA Data Issue And Application].[DBMS Name] 			= [View IBG XREF BA Column And Application].[DBMS Name]
)

AND
(
       [View IBG XREF BA Column And Application].[Business Attribute Name EN] 			= [View IBG Business Attribute Core].[Business Attribute Name EN]
 AND
       [View IBG XREF BA Column And Application].[Business Entity Name EN] 			= [View IBG Business Attribute Core].[Business Entity Name EN]
 AND
       [View IBG XREF BA Column And Application].[Subject Area Name EN] 			= [View IBG Business Attribute Core].[Subject Area Name EN]
)

Go



