/*******************************************************************/
/* Use the appropriate database to load the IBG data model content */
/* When this SQL file is run as a standalone statement             */
--USE [IBG_Demo_DB]
--GO
--USE [IBG_DB]
--GO
/*                                                                 */
/*******************************************************************/

/*******************************************************************/
/* Use the SQLCMDDBNAME variable as set by the calling SQLCMD      */
/* To set the database                                             */
USE $(SQLCMDDBNAME)
GO
/*                                                                 */
/*******************************************************************/

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

DROP view 
 [IBG_Schema].[View - PB - Data Issue Business Attribute And BI Object]
GO

CREATE view 
 [IBG_Schema].[View - PB - Data Issue Business Attribute And BI Object]
AS
SELECT [View DG Data Issue Register].[Data Issue ID]
      ,[View DG Data Issue Register].[Data Issue Title EN]
      ,[View DG Data Issue Register].[Data Issue Title FR]
      ,[View DG Data Issue Register].[Data Issue Description EN]
      ,[View DG Data Issue Register].[Data Issue Description FR]
      ,[View DG Data Issue Register].[Data Issue Documentation Folder Hyperlink]
      ,[View DG Data Issue Register].[Data Issue Category Code EN]
      ,[View DG Data Issue Register].[Data Issue Severity Code EN]
      ,[View DG Data Issue Register].[Data Issue Priority Code]
      ,[View DG Data Issue Register].[Data Issue Identification Date]
      ,[View DG Data Issue Register].[Data Issue Notes EN]
      ,[View DG Data Issue Register].[Data Issue Notes FR]

      ,[View IBG XREF BA Data Issue And BI Object].[BI Object Name EN]
      ,[View IBG XREF BA Data Issue And BI Object].[BI Object Type EN]
      ,[View IBG XREF BA Data Issue And BI Object].[BI Accountable Business Unit Acronym EN]
      ,[View IBG XREF BA Data Issue And BI Object].[Data Issue BA Column And BI Object Notes EN]
      ,[View IBG XREF BA Data Issue And BI Object].[Data Issue BA Column And BI Object Notes FR]

      ,[View IBG Business Attribute Core].[Business Attribute Name EN]
      ,[View IBG Business Attribute Core].[Business Entity Name EN]
      ,[View IBG Business Attribute Core].[Subject Area Name EN]
      ,[View IBG Business Attribute Core].[Business Attribute Name FR]
      ,[View IBG Business Attribute Core].[Business Attribute Definition EN]
      ,[View IBG Business Attribute Core].[Business Attribute Definition FR]
      ,[View IBG Business Attribute Core].[Business Metadata Status Code EN]
      ,[View IBG Business Attribute Core].[Default Value EN]
      ,[View IBG Business Attribute Core].[Default Value FR]
      ,[View IBG Business Attribute Core].[Data Entry Guidelines EN]
      ,[View IBG Business Attribute Core].[Data Entry Guidelines FR]
      ,[View IBG Business Attribute Core].[Derivation Rule EN]
      ,[View IBG Business Attribute Core].[Derivation Rule FR]
      ,[View IBG Business Attribute Core].[Usage Guidelines EN]
      ,[View IBG Business Attribute Core].[Usage Guidelines FR]
      ,[View IBG Business Attribute Core].[Mosaic Caution EN]
      ,[View IBG Business Attribute Core].[Mosaic Caution FR]
      ,[View IBG Business Attribute Core].[Masking Rule EN]
      ,[View IBG Business Attribute Core].[Masking Rule FR]
      ,[View IBG Business Attribute Core].[Archive Rule EN]
      ,[View IBG Business Attribute Core].[Archive Rule FR]
      ,[View IBG Business Attribute Core].[Purge Rule EN]
      ,[View IBG Business Attribute Core].[Purge Rule FR]
      ,[View IBG Business Attribute Core].[Protected Level Code EN]
      ,[View IBG Business Attribute Core].[Sensitivity Level Code EN]
      ,[View IBG Business Attribute Core].[Personally Identifiable Information Indicator EN]
      ,[View IBG Business Attribute Core].[Business Attribute Notes EN]
      ,[View IBG Business Attribute Core].[Business Attribute Notes FR]

      ,[View IBG XREF BA Data Issue And BI Object].[Column Name]
      ,[View IBG XREF BA Data Issue And BI Object].[Table or View Name]
      ,[View IBG XREF BA Data Issue And BI Object].[Schema Name]
      ,[View IBG XREF BA Data Issue And BI Object].[Database Name]
      ,[View IBG XREF BA Data Issue And BI Object].[DBMS Name]

      ,SYSDATETIME() AS [IBG Publish Date]

  FROM [IBG_Schema].[View DG Data Issue Register]
      ,[IBG_Schema].[View IBG XREF BA Data Issue And BI Object]
      ,[IBG_Schema].[View IBG Business Attribute Core]
      ,[IBG_Schema].[View IBG XREF BA And Column]
WHERE
       [View DG Data Issue Register].[Data Issue ID] 					= [View IBG XREF BA Data Issue And BI Object].[Data Issue ID]


AND
(
       [View IBG XREF BA Data Issue And BI Object].[Business Attribute Name EN] 	= [View IBG XREF BA And Column].[Business Attribute Name EN]
 AND
       [View IBG XREF BA Data Issue And BI Object].[Business Entity Name EN] 		= [View IBG XREF BA And Column].[Business Entity Name EN]
 AND
       [View IBG XREF BA Data Issue And BI Object].[Subject Area Name EN] 		= [View IBG XREF BA And Column].[Subject Area Name EN]
 AND
       [View IBG XREF BA Data Issue And BI Object].[Column Name] 			= [View IBG XREF BA And Column].[Column Name]
 AND
       [View IBG XREF BA Data Issue And BI Object].[Table Or View Name] 		= [View IBG XREF BA And Column].[Table Or View Name]
 AND
       [View IBG XREF BA Data Issue And BI Object].[Schema Name] 			= [View IBG XREF BA And Column].[Schema Name]
 AND
       [View IBG XREF BA Data Issue And BI Object].[Database Name] 			= [View IBG XREF BA And Column].[Database Name]
 AND
       [View IBG XREF BA Data Issue And BI Object].[DBMS Name] 				= [View IBG XREF BA And Column].[DBMS Name]
)

AND
(
       [View IBG XREF BA And Column].[Business Attribute Name EN] 			= [View IBG Business Attribute Core].[Business Attribute Name EN]
 AND
       [View IBG XREF BA And Column].[Business Entity Name EN] 				= [View IBG Business Attribute Core].[Business Entity Name EN]
 AND
       [View IBG XREF BA And Column].[Subject Area Name EN] 				= [View IBG Business Attribute Core].[Subject Area Name EN]
)

Go





