/*******************************************************************/
/* Use the appropriate database to load the IBG data model content */
/* When this SQL file is run as a standalone statement             */
--USE [IBG_Demo_DB]
--GO
--USE [IBG_DB]
--GO
/*                                                                 */
/*******************************************************************/

/*******************************************************************/
/* Use the SQLCMDDBNAME variable as set by the calling SQLCMD      */
/* To set the database                                             */
USE $(SQLCMDDBNAME)
GO
/*                                                                 */
/*******************************************************************/

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

DROP view 
 [IBG_Schema].[View - PB - Data Issue and Business Unit]
GO

CREATE view 
 [IBG_Schema].[View - PB - Data Issue and Business Unit]

AS
SELECT [View DG Data Issue Register].[Data Issue ID]
      ,[Data Issue Title EN]
      ,[Data Issue Title FR]
      ,[Data Issue Description EN]
      ,[Data Issue Description FR]
      ,[Data Issue Documentation Folder Hyperlink]
      ,[Data Issue Category Code EN]
      ,[Data Issue Severity Code EN]
      ,[Data Issue Priority Code]
      ,[Data Issue Impact Code EN]
      ,[Data Issue Identification Date]
      ,[Data Issue Notes EN]
      ,[Data Issue Notes FR]
      ,[View DG Data Issue And Business Unit].[Business Unit Acronym EN] as [Stakeholder Business Unit Acronym EN]
      ,[Point Of Contact Person Name]
      ,[Data Issue Impact Notes EN]
      ,[Data Issue Impact Notes FR]
      ,[View - PB - Org Hierarchy By Business Unit].*
  FROM [IBG_Schema].[View DG Data Issue Register]
      ,[IBG_Schema].[View DG Data Issue And Business Unit]
      ,[IBG_Schema].[View - PB - Org Hierarchy By Business Unit]
WHERE
       [View DG Data Issue Register].[Data Issue ID] = [View DG Data Issue And Business Unit].[Data Issue ID]
AND
       [View DG Data Issue And Business Unit].[Business Unit Acronym EN] = [View - PB - Org Hierarchy By Business Unit].[Business Unit Acronym EN]
GO