/*******************************************************************/
/* Use the appropriate database to load the IBG data model content */
/* When this SQL file is run as a standalone statement             */
--USE [IBG_Demo_DB]
--GO
--USE [IBG_DB]
--GO
/*                                                                 */
/*******************************************************************/

/*******************************************************************/
/* Use the SQLCMDDBNAME variable as set by the calling SQLCMD      */
/* To set the database                                             */
USE $(SQLCMDDBNAME)
GO
/*                                                                 */
/*******************************************************************/

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

DROP view 
 [IBG_Schema].[View - PB - Data Issue and Person]
GO

CREATE view 
 [IBG_Schema].[View - PB - Data Issue and Person]

AS
SELECT [View DG Data Issue Register].[Data Issue ID]
      ,[Data Issue Title EN]
      ,[Data Issue Title FR]
      ,[Data Issue Description EN]
      ,[Data Issue Description FR]
      ,[Data Issue Documentation Folder Hyperlink]
      ,[Data Issue Category Code EN]
      ,[Data Issue Severity Code EN]
      ,[Data Issue Priority Code]
      ,[Data Issue Identification Date]
      ,[Data Issue Notes EN]
      ,[Data Issue Notes FR]
      ,[View DG Data Issue And Person].[Person Name] as [Stakeholder Person Name]
      ,[Data Governance Role Code EN]
      ,[Data Issue And Person Notes EN]
      ,[Data Issue And Person Notes FR]
      ,[View - PB - Org Hierarchy By Person].*
  FROM [IBG_Schema].[View DG Data Issue Register]
      ,[IBG_Schema].[View DG Data Issue And Person]
      ,[IBG_Schema].[View - PB - Org Hierarchy By Person]
WHERE
       [View DG Data Issue Register].[Data Issue ID] = [View DG Data Issue And Person].[Data Issue ID]
AND
       [View DG Data Issue And Person].[Person Name] = [View - PB - Org Hierarchy By Person].[Person Name]
GO