/*******************************************************************/
/* Use the appropriate database to load the IBG data model content */
/* When this SQL file is run as a standalone statement             */
--USE [IBG_Demo_DB]
--GO
--USE [IBG_DB]
--GO
/*                                                                 */
/*******************************************************************/

/*******************************************************************/
/* Use the SQLCMDDBNAME variable as set by the calling SQLCMD      */
/* To set the database                                             */
USE $(SQLCMDDBNAME)
GO
/*                                                                 */
/*******************************************************************/

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

DROP view 
 [IBG_Schema].[View - PB - Data Issue and Status History]
GO

CREATE view 
 [IBG_Schema].[View - PB - Data Issue and Status History]

AS
SELECT [View DG Data Issue Register].[Data Issue ID]
      ,[Data Issue Title EN]
      ,[Data Issue Title FR]
      ,[Data Issue Description EN]
      ,[Data Issue Description FR]
      ,[Data Issue Documentation Folder Hyperlink]
      ,[Data Issue Category Code EN]
      ,[Data Issue Severity Code EN]
      ,[Data Issue Priority Code]
      ,[Data Issue Identification Date]
      ,[Data Issue Notes EN]
      ,[Data Issue Notes FR]
      ,[Data Issue Status Code EN]
      ,[Data Issue Status History Date]
      ,[Data Issue Status History Notes EN]
      ,[Data Issue Status History Notes FR]
      ,SYSDATETIME() AS [IBG Publish Date]

  FROM [IBG_Schema].[View DG Data Issue Register]
      ,[IBG_Schema].[View DG Data Issue Status History]

WHERE
       [View DG Data Issue Register].[Data Issue ID] = [View DG Data Issue Status History].[Data Issue ID]

GO