/*******************************************************************/
/* Use the appropriate database to load the IBG data model content */
/* When this SQL file is run as a standalone statement             */
--USE [IBG_Demo_DB]
--GO
--USE [IBG_DB]
--GO
/*                                                                 */
/*******************************************************************/

/*******************************************************************/
/* Use the SQLCMDDBNAME variable as set by the calling SQLCMD      */
/* To set the database                                             */
USE $(SQLCMDDBNAME)
GO
/*                                                                 */
/*******************************************************************/

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

DROP view 
 [IBG_Schema].[View - PB - Lineage Application To BI Object]
GO

CREATE view 
 [IBG_Schema].[View - PB - Lineage Application To BI Object]
AS

SELECT 
       [LACBIO].[Source Application Software Nickname EN]
      ,[LACBIO].[Source Column Name]
      ,[LACBIO].[Source Table or View Name]
      ,[LACBIO].[Source Schema Name]
      ,[LACBIO].[Source Database Name]
      ,[LACBIO].[Source DBMS Name]
      ,[Code_SORR].[System Of Record Or Reference Code EN]
      ,[Code_SORR].[System Of Record Or Reference Code FR]
      ,[LACBIO].[Target BI Object Name EN]
      ,[LACBIO].[Target BI Object Type EN]
      ,[LACBIO].[Target BI Accountable Business Unit Acronym EN]
      ,[LACBIO].[ETL Program Name]
      ,[LACBIO].[ETL Application Software Nickname EN]
      ,[LACBIO].[Lineage Application Column To BI Object Notes EN]
      ,[LACBIO].[Lineage Application Column To BI Object Notes FR]
      ,SYSDATETIME() AS [IBG Publish Date]
  FROM [IBG_Schema].[View IBG Lineage Application Column To BI Object] as [LACBIO]
      ,[IBG_Schema].[View IBG XREF BA Column And Application]          as [XREF_BACA]
      ,[IBG_Schema].[View Code System Of Record Or Reference]          as [Code_SORR]

WHERE
       [LACBIO].[Source Application Software Nickname EN]	= [XREF_BACA].[Application Software Nickname EN]
  AND  [LACBIO].[Source Column Name] 				= [XREF_BACA].[Column Name]
  AND  [LACBIO].[Source Table or View Name]			= [XREF_BACA].[Table or View Name]
  AND  [LACBIO].[Source Schema Name]				= [XREF_BACA].[Schema Name]
  AND  [LACBIO].[Source Database Name]				= [XREF_BACA].[Database Name]
  AND  [LACBIO].[Source DBMS Name]				= [XREF_BACA].[DBMS Name]

  AND  [XREF_BACA].[System Of Record Or Reference Code EN]	= [Code_SORR].[System Of Record Or Reference Code EN]

Go