/*******************************************************************/
/* Use the appropriate database to load the IBG data model content */
/* When this SQL file is run as a standalone statement             */
--USE [IBG_Demo_DB]
--GO
--USE [IBG_DB]
--GO
/*                                                                 */
/*******************************************************************/

/*******************************************************************/
/* Use the SQLCMDDBNAME variable as set by the calling SQLCMD      */
/* To set the database                                             */
USE $(SQLCMDDBNAME)
GO
/*                                                                 */
/*******************************************************************/

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

DROP view 
 [IBG_Schema].[View - PB - Org Hierarchy By Person]
GO

CREATE view 
 [IBG_Schema].[View - PB - Org Hierarchy By Person]

AS

SELECT [Person Name]
      ,[Reports To Person Name]
      ,[Person Email Address]
      ,[Job Title Role EN]
      ,[Job Title Role 2NDL]
      ,[DG Person].[Business Unit Acronym EN] as [Person Business Unit Acronym EN]
      ,[View - PB - Org Hierarchy By Business Unit].*

FROM 
  [IBG_Schema].[DG Person]
, [IBG_Schema].[View - PB - Org Hierarchy By Business Unit]

WHERE 
  [IBG_Schema].[DG Person].[Business Unit Acronym EN] = [IBG_Schema].[View - PB - Org Hierarchy By Business Unit].[Business Unit Acronym EN] 
GO


