/*******************************************************************/
/* Use the appropriate database to load the IBG data model content */
/* When this SQL file is run as a standalone statement             */
--USE [IBG_Demo_DB]
--GO
--USE [IBG_DB]
--GO
/*                                                                 */
/*******************************************************************/

/*******************************************************************/
/* Use the SQLCMDDBNAME variable as set by the calling SQLCMD      */
/* To set the database                                             */
USE $(SQLCMDDBNAME)
GO
/*                                                                 */
/*******************************************************************/

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

DROP view 
 [IBG_Schema].[View - PB - Orphan Business Attribute]
GO

CREATE view 
 [IBG_Schema].[View - PB - Orphan Business Attribute]
AS
SELECT [Business Attribute Name EN]
      ,[Business Entity Name EN]
      ,[Subject Area Name EN]
      ,SYSDATETIME() AS [IBG Publish Date]
  FROM [IBG_Schema].[IBG Business Attribute Core] CORE
 WHERE [Business Attribute Name EN] + [Business Entity Name EN] + [Subject Area Name EN]
NOT IN 
(
SELECT [Business Attribute Name EN] + [Business Entity Name EN] + [Subject Area Name EN]
  FROM [IBG_Schema].[IBG XREF BA And Column]
) 
GO


