/*******************************************************************/
/* Use the appropriate database to load the IBG data model content */
/* When this SQL file is run as a standalone statement             */
--USE [IBG_Demo_DB]
--GO
--USE [IBG_DB]
--GO
/*                                                                 */
/*******************************************************************/

/*******************************************************************/
/* Use the SQLCMDDBNAME variable as set by the calling SQLCMD      */
/* To set the database                                             */
USE $(SQLCMDDBNAME)
GO
/*                                                                 */
/*******************************************************************/

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

DROP view 
 [IBG_Schema].[View - PB - Orphan Column]
GO

CREATE view 
 [IBG_Schema].[View - PB - Orphan Column]
AS
SELECT [Column Name]
      ,[Table or View Name]
      ,[Schema Name]
      ,[Database Name]
      ,[DBMS Name]
      ,SYSDATETIME() AS [IBG Publish Date]
  FROM [IBG_Schema].[IBG Column]
 WHERE [Column Name] + [Table or View Name] + [Schema Name] + [Database Name] + [DBMS Name]
 NOT IN 
(
SELECT [Column Name] + [Table or View Name] + [Schema Name] + [Database Name] + [DBMS Name]
  FROM [IBG_Schema].[IBG XREF BA And Column]
)
GO


